Terminology

The following list presents definitions used to describe key project concepts:

Project: A file that keeps a structural set of labels.

Project Component: A label or project sub-item.

Project Sub Item: An element, in the Folder format, which can contain other project components.

Label: A separate printable item which is represented in a project. The label can consist of one or more panels, which are meant to define the distinct areas of a label. For instance, the CD Jewel Case Booklet labels have a total of four panels: Outside Front, Outside Back, Inside Front, and Inside Back.

Version, Design: An instance of the label that you are editing. Each label contains at least one version. You can add versions to each label, as necessary.

Layer: The layer function allows you to edit each part of the label separately. For example, the text box where you type the name of your album is one separate layer; the picture you select is another separate layer. This makes it easy for you to make the exact changes that you wish to make.

Element, Object: The part of the design that is edited as a single item. For example, the title text is a single element. You can use the mouse to edit each element.

Bar Code: This allows you to include a standard UPC product code as part of your label, and is meant for commercial projects. Please note: There are many standards for bar codes. It is strongly recommended that anyone planning on using bar codes research them thoroughly before actually utilizing them. Due to the scope of the subject of bar codes, Fellowes/NEATO cannot assist you in doing the background research on bar codes or obtaining the general information needed to properly use them.

Text: A text, which is included as a part of the overall design. Texts are entered and edited using the text box function and the keyboard; they can contain information such as the title, name of artist, or list of songs.

Image: A picture or other graphic image, which is included in the overall design. Image files in various file formats, such as JPEG or GIF, can easily be inserted or imported. Once the image has been loaded, it can be edited to allow for different types of special effects.

Shape: A simple geometric form such as a line, rectangle or circle.

Spline: A curved geometric shape which you can easily draw by using the Segment Tool. This is not to be confused with a "Spine" which is a panel on some labels, such as the Jewel Case Tray Liner labels.

Blend: A special effect that is created by blending one object with another. The original shape and color of the objects can be changed to allow for special effects.

Template: The template defines the initial state of the label, or the entire project. Each label is created according to a template. The Label Template contains the label, along with the label's visible areas and default contents. Each label template is used for a certain type of media and/or media packaging.


User Interface Summary

The MediaFACE 4.0 Label Design Program is implemented as a Multiple Document Interface application. It allows opening multiple labels within a project. Each label has one or more versions that can be subject to user modification. A label version is opened in its own window. In order to navigate between labels and versions, you can use the Workspace Navigator function, which is represented by the tree. The first level of the tree represents open projects, which contains subfolders and/or labels. Each label has a default version. The Workspace Navigator bar is usually located in the left section of the main window.

A set of toolbars is included for easy access to commands and using available tools. These toolbars are initially located on top of the main window and contain the most commonly used commands. You can show/hide toolbars on the screen by selecting them from the main menu. You can also select commands from the main menu in order to initiate corresponding dialogs. In addition to the Standard toolbar which has general commands (New, Open, Print, etc.), there are toolbars, which contain interactive tools intended for creating and modifying objects.

The drawing tools allow you to design a variety of objects, which can be then modified using the shaping tool. Some of these tools are presented as shortcuts to menu commands; others consist of commands that are available as toolbar buttons. There is also the option of customizing the content of the toolbars. A set of palettes that serves to modify various parameters of the drawing objects is also included.

Palettes appear stacked together in groups by default. The positions of all open palettes and moveable dialog boxes are saved when you exit the application. A palette contains the same type of controls as a dialog box, such as command buttons, options, and list boxes. However, unlike most dialog boxes, you can keep palette windows open while working on a label so as to either access the operations you use most frequently or to experiment with different effects.

The palette windows can be docked to any edge of the Application window, you can also choose to undock them. Furthermore, you can minimize the palette windows in order to conserve screen space. The layering feature of Label Design Program provides added flexibility by enabling organization and editing of objects contained in a label. It is possible to separate a label into multiple layers, each containing a portion of the label's contents, and organize the design of various components (images, shapes, etc.) by placing them on separate layers. The Layer Manager can be used to view, print, or edit specific layers or combinations of layers. When combined, the layers act as a hierarchy that helps determine the vertical arrangement of drawing's components. In this arrangement (the stacking order), objects located on the top layer always overlay objects, which are located on the layer below it.


Launching MediaFACE 4.0

After installing MediaFACE 4.0 on your system, proceed to do the following to start it.

To launch MediaFACE 4.0:

* Do one of the following:

-- From the Start menu successively choose Programs, MediaFACE 4.0 and then select MediaFACE 4.0 from the menu.

-- Double-click a project file (with the MFP extension).

The main window like the one shown in the picture below appears.

Example of the main window

The main window contains the following areas:

-- Main menu: Allows you to carry out commands, which cover all the system functions. For further information refer to the section titled Menu Summary.

-- Standard Toolbar: It is similar to a word processor's standard toolbar. For more information refer to the section titled Standard Toolbar.

-- Object Toolbar: Allows you to create and manipulate objects. For details refer to the section titled Object Toolbar.

-- Workspace Navigator: Contains the project tree, which allows you to manage project's labels, and versions. For details see the section titled Workspace Navigator.

-- Work Area: All objects can be created and their properties modified in this area.


Filling User's Info

Filling User Information

To begin working with MediaFACE 4.0, you have to enter registration information.

To enter registration information:

* Select User Info from the Help menu. The User Information dialog like the one shown below is displayed. Use this screen as a reference for entering information.


Menu Summary

The main menu contains the menus and menu items discussed below.

Menu

Menu Item

Description

File

New

When selected opens the New Project wizard, which allows you to create a new project. For details refer to the section titled Creating Projects.

-

Open

Opens the standard File Open dialog, which allows you to begin working with an existing project. For further information see the section titled Manipulating Projects.

-

Close Project

When selected prompts to save the current project if needed and closes it. For further information see the section titled Manipulating Projects.

-

Save

Saves the current project. For details refer to the section titled Saving Projects.

-

Save As

When selected allows you to save the current project another name. For details see the section titled Saving Projects.

-

Print

When selected opens the Print dialog, which allows you to print labels. For more information refer to the section titled Printing Projects.

-

Calibrate Printer

When selected the Printer Calibration dialog appears. It allows for the calibration of the printer. For further information refer to the section titled Printer Calibration.

-

Send by E-Mail

Sends the current project by e-mail. For details refer to the section titled Sending Projects by E-mail.

-

Exit

When selected quits MediaFACE 4.0.

Edit

Undo

Undoes previous changes of the object. The editor supports at least 256 commands in the undo/redo queue.

-

Redo

Redoes changes of the object you previously have undone. The editor supports at least 256 commands in the undo/redo queue.

Note: Undo/Redo exists in the context of the design, so that every design has its own undo/redo queue, which in turn exists only during the current session and is not stored into the project file. Undo/Redo is applied only to commands that directly or indirectly modify objects.

-

Cut

When selected places selected objects into Clipboard and deletes them from your label.

-

Copy

When selected places selected objects into Clipboard

-

Paste

Any objects left in Clipboard will be inserted into the label according to their original parameters (size, location and so on). If the object position is outside of the current label, it is adjusted so as to place objects into the visible part of the label.

-

Copy Style

Allows you to copy the outline, fill, and shadow styles of the current object and to apply them via the Paste Style command later. For details see the section titled Copying and Pasting Styles.

-

Paste Style

Opens the Paste Style dialog, which allows you to define the style types to be pasted. For more information see the section titled Copying and Pasting Styles.

Note: One or more objects have to be selected on the active label, and the object style should be copied beforehand.

-

Select All

Selects all objects of the current label.

-

Delete

Allows you to delete selected objects from the current label.

View

Palettes

This menu item contains the following sub-items:

-- Layers: Allows you to separate a label into multiple layers, each containing a portion of the label's contents. For more information refer to the section titled Layers Palette.

-- Filling: Allows you to fill in such objects as a rectangle, closed polyline, ellipse and text objects. For details see the section titled Filling Palette.

-- Outline: Applies to a line, spline, text, rectangle, polyline, ellipse, and image. For more information refer to the section titled Outline Palette.

-- Text Style: Applies to simple text. You are allowed to change the font settings for a selected fragment of the text. For further information see the section titled Text Style Palette.

-- Text Effects: This palette supports the special effects for text objects. For details refer to the section titled Text Effects Palette.

-- Image Library: Stores images supplied with MediaFACE 4.0, with which new labels can be created. For details see the section titled Image Library Palette.

-- Shadow: Shadowing is supported for the most object. For more information refer to the section titled Shadow Palette.

-- Properties: Displays specific object information. For details refer to the section titled Properties Palette.

-- General: The General Palette supports all the objects. For more information see the section titled General Palette.

-

Toolbars

This menu item contains the following sub-items:

-- Standard Toolbar: Allows you to turn the Standard Toolbar on or off. For more information see the section titled Standard Toolbar.

-- Object Tools: Allows you to turn the Object Toolbar on or off. For details refer to the section titled Object Toolbar.

-- Format: Allows you to turn the Format Toolbar on or off. For more information see the section titled Format Toolbar.

-- Project: Allows you to turn the Project Toolbar on or off. For details refer to the section titled Project Toolbar.

-- View: Allows you to turn the View Toolbar on or off. For more information see the section titled View Toolbar.

-- Customize: Allows you to personalize settings for menu items, toolbars, hotkeys and so on. For details refer to the section titled Customizing Main Window.

-

Status Bar

Allows you to turn the Status Bar on or off.

-

Workspace

Allows you to turn Workspace Navigator on or off. For more information refer to the section titled Workspace Navigator.

-

Rulers

Allows you to turn the Rulers on or off.

-

Field Codes

When selected displays the field codes instead of text representation.

-

Background

Allows you to turn the version background on or off.

-

Grid Lines

Allows you to turn the Work Area grid on or off.

-

Zoom

This menu item contains the following predefined zoom factors: 400%, 200%, 150%, 100%, 75%, and 50%.

-

Last Zoom

Allows you to restore a previous zoom factor for the active label. The system keeps at least 10 previous zoom factors for each label.

-

Snap to Grid

When clicked turns the Snap to Grid function on or off. When turned on, an object in the work area moves to the nearest grid point.

-

Snap to Guidelines

When clicked turns the Snap to Guidelines function on or off. When turned on an object in the work area moves to the nearest guideline.

-

Grid and Guidelines Setup

When selected displays the Grid & Guidelines tab of the Options dialog. For more information refer to the section titled Setting Options.

Insert

Tools

This menu item contains the following sub-items:

-- Text: When selected activates the Text tool. For details refer to the section titled Inserting Text.

-- Rectangle: When selected activates the Rectangle tool. For further information see the section titled Using Rectangle Tool.

-- Ellipse: When selected activates the Ellipse tool. For more information refer to the section titled Using Ellipse Tool.

-- Line: When selected activates the Line tool. For details see the section titled Using Line Tool.

-

Predefined Text

When selected activates the predefined text tool. For further information see the section titled Inserting Predefined Text.

-

Play List

When selected the system opens the Insert Playlist dialog. For more information see the section titled Inserting Play List.

-

File List

When selected the system opens the Insert Filelist dialog. For more information see the section titled Inserting File List.

-

Data List

When selected the system opens the Insert data from datasource dialog. For more information see the section titled Inserting Data List.

-

Picture

This menu item contains the following sub-items:

-- From File: Allows you to insert a picture from a file. For more information refer to the section titled Inserting Image from File.

-- From Image Library: Allows you to insert a picture from the Image Library. For further information see the section titled Inserting Image from Image Library .

-- External: Allows you to insert an external picture from sources such as Scanner, Camera, Webcam and Data Source. For more information refer to the section titled Inserting External Images.

-

Bar Code

When selected launches the Bar Code wizard. For details refer to the section titled Inserting Bar Codes.

-

Object

When selected the Insert Object dialog appears. For details see the section titled Inserting OLE Objects.

Format

Alignment

When selected displays the Alignment dialog, which allows you to align an object in the Work Area. For more information refer to the section titled Aligning Objects.

-

Group

Combines several objects into a group, which allows you to use the same actions for the object group at once. For more information refer to the section titled Grouping and Ungrouping Objects.

-

Ungroup

Splits the selected group into several objects. For more information refer to the section titled Grouping and Ungrouping Objects.

-

Bring to Front

Allows you to place selected objects on the top of others. For details refer to the section titled Manipulating Object Position.

-

Send to Back

Allows you to place selected objects on the bottom of others. For details refer to the section titled Manipulating Object Position.

-

Move Up

Allows you to place selected objects one level up within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.

-

Move Down

Allows you to place selected objects one level down within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.

-

Effects

This menu item contains the following sub-items Original, Hue-Saturation, Invert, Brightness-Contrast, Gamma, Mosaic, Oilify, Posterize, Solarize, Noise, Emboss, Grayscale, Sharpen, Underlay and Reverse, which define special object effects. For more information refer to the section titled Making Effects.

-

Image

This menu item contains the following sub-items:

-- Flip Horizontal: Selected images are flipped horizontally. For more information refer to the sections titled Flipping Objects.

-- Flip Vertical: Selected images are flipped vertically. For further information refer to the sections titled Flipping Objects.

-- Fit to Label: The application fits the selected image to a label.

-- Crop Image: Allows you to crop an existing image into one of the available shapes (rectangle, closed line, or ellipse). For further information refer to the sections titled Cropping Image into Shape.

-

Convert to

This menu item contains the following sub-items:

-- Square: Allows you to convert a rectangle into square. For more information refer to the section titled Converting Objects.

-- Polygon: Allows you to convert a rectangle into polygon. For more information refer to the section titled Converting Objects.

-- Ellipse: Allows you to convert a rectangle into ellipse. For more information refer to the section titled Converting Objects.

-- Rectangle: Allows you to convert an ellipse into rectangle. For more information refer to the section titled Converting Objects.

-- Circle: Allows you to convert an ellipse into circle. For more information refer to the section titled Converting Objects.

-

Object Properties

Displays the Object Properties dialog, which allows you to view or change properties for objects such as text, rectangle, ellipse, and images. For further information refer to the section titled Managing Object Properties.

Project

Insert

This menu item contains the following sub-items:

-- Item: Allows you to add a new item to the project tree. For more information refer to the section titled Managing Sub-Items.

-- Label: Allows you to add a new label to the project tree. For details refer to the section titled Managing Labels.

-- Version-->Blank: Allows you to create a new version of the current label based on label's template. For more information refer to the section titled Adding New Versions.

-- Version-->As Copy: Allows you to create a new version of the current label as either a copy of the default label version or a copy of the currently selected version. For details see the section titled Adding New Versions.

-

Move

When selected moves a label to the new position in the project tree. For further information refer to the section titled Managing Labels.

-

Delete

Allows you to remove an object (sub-item, label, or version) from the project tree. For further information refer to the sections titled Managing Sub-Items, Managing Labels, or Removing Versions.

-

Share

When selected shares a label version. For further information refer to the sections titled Sharing a Version.

-

Print Version

When selected opens the Print dialog, which allows you to print the active version. For more information refer to the section titled Printing Projects.

-

Properties

Allows you to view or change properties of an object (sub-item, label, or version). For further information refer to the sections titled Managing Sub-Items, Managing Labels, or Changing Version/Face Properties.

-

Save Version as Template

Allows you to save a version you are working with as template. For more information refer to the section titled Saving a Version as Template.

-

Project Properties

Allows you to view or change project properties. For more information refer to the sections titled Modifying Project Properties.

Tools

List Manager

When selected displays the List Manager dialog, which allows you to manage play lists, file lists and datasources. For details see the section titled Managing Lists.

-

Download

Allows you to download such project components as Paper & Label Templates, Project Templates, Version Templates, Plugins, Image Libraries, and Skins from the Internet. For more information refer to the section titled Downloading Project's Components.

-

Burners

Allows you to launch a burner from within the application.

-

Players

Allows you to launch a player from within the application (for example, Windows Media Player).

-

Options

When selected displays the Options dialog, which allows you to set general, grid & guideline, and web parameters for projects. For more information see the section titled Setting Options.

-

Edit MF2 to MF4 labels mapping

When selected displays the Select Labels to Use for the Project dialog, which allows to edit the previously defined User-aided Mappings. For more information refer to the section titled Editing of MediaFACE II Project Converter Mapping.

-

3D Preview

When chosen displays the selected object in a 3D view (for CD and Jewel box only).

-

Export

When selected displays the Export Options dialog, which allows you to export labels from the current project as images. For details see the section titled Exporting Projects.

Window

Cascade

Repositions the project windows by cascading.

-

Tile Horizontally

Tiles the child windows horizontally.

-

Tile Vertically

Tiles the child windows vertically.

-

Arrange Icons

Arranges icons at the bottom of the window.

-

Windows

Allows you to manage the project's windows.

Help

Contents

When selected displays the full help system for MediaFACE 4.0.

-

Tech Support

When clicked opens the New Message window of your default mail client with the prefilled tech support e-mail address and attached screen shot of the active MediaFACE 4.0 window. Also you can use Ctrl+Shift+M shortcut for the Tech Support operation when working in any MediaFACE window. The screen shot of this window will be attached to the message.

Use this operation if you have any questions or problems. Do not forget to add the additional information such as description of situations and malfunctions, your contacts.

-

User Information

Allows you to enter personal registration information. See Filling User's Info for details.

-

Web Registration

Allows you to register the software.

-

More About Fellowes Products

When clicked opens the Fellowes web site in the default browser.

-

About MediaFACE 4.0

When clicked displays the About dialog with information about the product. Also you can use the telephones and e-mail addresses from the dialog to contact the MediaFACE support team.


Standard Toolbar

The standard toolbar looks like the one shown below. The icons of Standard Toolbar have are associated with commands discussed below.

Icon | Meaning
 | When clicked opens the New Project wizard, which allows you to create a new project. For details refer to the section titled Creating Projects.
 | Opens the standard File Open dialog, which allows you to begin working with an existing project. For further information see the section titled Manipulating Projects.
 | When clicked allows you to save the current project. For further information see the section titled Saving Projects.
 | When clicked cuts the selected object into Clipboard.
 | When clicked copies the selected object into Clipboard.
 | When clicked pastes the object from Clipboard into selected location on Work Area.
 | Undoes the last operation.
 | Redoes the last Undo operation.
 | When clicked opens the Print dialog, which allows you to print labels. For more information refer to the section titled Printing Projects.
 | When clicked displays the About information.


Object Toolbar

The Object Toolbar looks like shown here. The icons of Object Toolbar have meaning discussed below.

Icon | Meaning
 | Allows you to insert a text using the Text Tool. For more information refer to the section titled Inserting Text.
 | Allows you to insert a rectangle using the Rectangle Tool. For details see the section titled Using Rectangle Tool.
 | Allows you to insert an ellipse using the Ellipse Tool. For more information refer to the section titled Using Ellipse Tool.
 | Allows you to insert a line using the Line Tool. For details see the section titled Using Line Tool.
 | Allows you to select the Segment Tool. For details see the section titled Using Segment Tool.
 | Allows you to select an object. When clicked turns the Object Selection Mode on. In this mode you are allowed to move an object in any direction. To do it press the left mouse button and hold it down, move the mouse to a new position and release the mouse button.
 | When clicked turns the Zoom mode on. The zooming - (+) or (-) is toggled by the right mouse button. When you click the left mouse button, the object will be magnified or reduced.
 | When clicked turns the Scroll mode on. In this mode you can scroll the around in the Work Area.


Format Toolbar

The Format Toolbar looks like shown here. The icons of Format Toolbar have meaning discussed below.

Icon | Meaning
 | Duplicates the Format-->Alignment command. When clicked displays the Alignment dialog, which allows you to align an object in the Work Area. For more information refer to the section titled Aligning Objects.
 | Duplicates the Format-->Group command. Combines several objects into a group, which allows you to use the same actions for the object group at once. For further information see the section titled Grouping and Ungrouping Objects.
 | Duplicates the Format-->Ungroup command. Splits the selected group into several objects. For further information see the section titled Grouping and Ungrouping Objects.
 | Duplicates the Format-->Bring to Front command. Allows you to place selected objects on the top of others. For details refer to the section titled Manipulating Object Position.
 | Duplicates the Format-->Send to Back command. Allows you to place selected objects at the bottom of others. For details refer to the section titled Manipulating Object Position.
 | Duplicates the Format-->Move Up command. Allows you to place selected objects one level up within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.
 | Duplicates the Format-->Move Down command. Allows you to place selected objects one level down within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.
 | When clicked rotates the selected object counter-clockwise 15 degrees around the object center. If you have an object group selected, the system rotates it around the group center.
 | When clicked rotates the selected object clockwise 15 degrees around the object center. If you have an object group selected, the system rotates it around the group center.
 | Duplicates the Format-->Object Properties command. Displays the Object Properties dialog, which allows you to view or change properties for objects such as text, rectangle, ellipse, and image. For further information refer to the section titled Managing Object Properties.


Project Toolbar

The Project Toolbar looks like shown here. The icons of Project Toolbar have meaning discussed below.

Icon | Meaning
 | Duplicates the Project-->Insert-->Item command. Allows you to add a new item to the project tree. For more information refer to the section titled Managing Sub-Items.
 | Duplicates the Project-->Insert-->Label command. Allows you to add a new label to the project tree. For details refer to the section titled Managing Labels.
 | Duplicates the Project-->Insert-->Version-->Blank command. Allows you to create a new version of the current label based on label 's template. For more information refer to the section titled Adding New Versions.
 | Duplicates the Project-->Insert-->Version-->As Copy command. Allows you to create a new version of the current label as either a copy of the default label version or a copy of the currently selected version. For details see the section titled Adding New Versions.
 | Duplicates the Project-->Move command. When clicked moves a label to the new position in the project tree. For further information refer to the section titled Managing Labels.
 | Duplicates the Project-->Delete command. Allows you to remove an object (sub-item, label, or version) from the project tree. For further information refer to the sections titled Managing Sub-Items, Managing Labels, or Removing Versions.
 | Duplicates the Project-->Share command. When clicked shares a label version. For further information refer to the sections titled Sharing a Version. This feature is not realized in the current version.
 | Duplicates the Project-->Properties command. Allows you to view or change properties of an object (sub-item, label, or version). For further information refer to the sections titled Managing Sub-Items, Managing Labels, or Managing Versions.
 | Duplicates the Project-->Project Properties command. Allows you to view or change project properties. For more information refer to the sections titled Modifying Project Properties.


View Toolbar

The View Toolbar looks like the one shown below. The icons of the View Toolbar are associated with commands discussed below.

Icon | Meaning
 | Duplicates the View-->Snap to Grid command. When clicked turns the Snap to Grid function on or off. When turned on an object in the work area moves to the closest grid point.
 | Duplicates the View-->Snap to Guidelines command. When clicked turns the Snap to Guidelines function on or off. When turned on an object in the work area moves to the closest guideline if it is in appropriate distance from it.
 | Duplicates the View-->Grid and Guidelines Setup command. When clicked displays the Grid & Guidelines tab of the Options dialog. For more information refer to the section titled Setting Options.
 | Duplicates the View-->Field Codes command. When clicked displays the field codes instead of text representation.
 | Duplicates the View-->Background command. Allows you to turn the background for a label on or off.
 | Duplicates the View-->Grid Lines command. Allows you to turn the Work Area grid on or off.
 | Duplicates the View-->Ruler command. Allows you to turn the Ruler on or off.
 | Duplicates the View-->Workspace command. Allows you to display the Workspace palette. For more information refer to the section titled Workspace Navigator.


Workspace Navigator

When turned on Workspace Navigator (WN) looks and serves as a special palette. It is usually located in the left section of the main window. The Workspace Navigator contains the project tree, which allows you to manage project's labels and versions. For these you can use the shortcut menus like the ones shown below.

For more information refer to the sections titled Managing Sub-Items, Managing Labels, and Managing Versions.


Creating Projects

A project is a structural set of labels. When creating a new project you first of all create a new label and its first version.

To create a new project:

1. Do one of the following:

-- Select New from the File menu,

-- Click the [image] icon on the Standard Toolbar.

The application displays the New Project wizard (step 1).

2. Select a label/project template in the New Project wizard (step 1) and click Next. The application displays the New Project wizard (step 2). On this step you are allowed to select an image as a background for the label.

3. Select a background on Step 2 of the New Project wizard as described above and click Next. The application displays the New Project wizard (step 3). On this step you are allowed to select an additional image for the label.

4. Add an image in the New Project wizard (step 3) as described above and click Next. The application displays the New Project wizard (step 4). On this step you are allowed to add text and layouts on the label.

5. Click Finish. A new project is created and the default label window is opened. The new project is added to Workspace Navigator and is named as "New Project <number>". After the project is saved, the Workspace Navigator will store it under the saved name.


Manipulating Projects

If a project already exists you can open it for modifying.

To open a project:

1. Do one of the following:

-- Select Open from the File menu,

-- Click [image] on the Standard Toolbar.

The application displays the standard File Open dialog which allows you to select the project file to be opened. The following file types are supported: MediaFACE 4.0 project and MediaFACE II project.

2a. Select a MediaFACE 4.0 project file and click Open. The specified project is loaded, the default window is opened and the project structure is loaded into the Workspace Navigator.

2b. If you select a MediaFACE II project file to open, refer to the section titled MediaFACE II Project Opening for details.

To close the current project:

When finished with the current project, you can close it.

Select Close Project from the File menu. If the current project has not been saved since the last modification, the following message appears: Save changes to <project_name>? with the Yes, No, and Cancel buttons. If you choose Yes, the project is saved and then closed. If you click No, the project is only closed. If you choose Cancel, the project will not be closed.


Saving Projects

You are allowed to save the current project under its name, other name, or as a project template.

To save the current project under its name:

* Do one of the following:

-- Select Save from the File menu,

-- Click [image] on the Standard Toolbar.

If the active project was changed since the last save, it will be saved.

To save the current project under other name:

1. Select Save As from the File menu. The application displays the extended Save As dialog.

2. Select MediaFACE 4.0 (*.mfp) from the Save as type combo box. Specify a file name for saving and click the Save button. The project is saved under the specified name.

To save the current project as a template:

1. Select Save As from the File menu. The system displays the extended Save As dialog.

2. Select MediaFACE 4.0 Template (*.mft) from the Save as type combo box. Enter a new theme or select one of the available themes from the Theme combo box. Open the folder with the installed MediaFACE 4.0 project templates (...\<MediaFACE 4.0 install folder>\Settings\Templates\Projects). Specify a file name for saving and click the Save button. The project is saved under the specified name as a template.

Note: Exit and restart MediaFACE 4.0 to use the newly created project template. The created project template will appear in The New Project wizard (step 1). For details refer to the section titled Creating Projects.


Managing Sub-Items

A MediaFACE 4.0 project appears as a project tree. The first level of the tree represents an open project, which contains sub-folders (sub-items) and/or labels. Each label contains a set of versions. In order to arrange and modify tree structure, you can perform a set of project-oriented commands.

When working with a project you are allowed to add a new sub-item to the project tree, remove a sub-item from it or modify sub-item properties.

To add a sub-item:

1. Open a project you are going to add a sub-item to. In the Workspace Navigator select the project root or any sub-item.

2. Do one of the following:

-- Select the Project-->Insert-->New Item command from the main menu, or the Workspace Navigator (WN) shortcut menu,

-- Click the [image] icon on the Project toolbar.

The application displays the Project Item dialog.

Example of the Add Project Item dialog

3. Enter the item name into the Name box (required) and an optional multi-line description into the Description box.

4. Click OK. A new sub-item will be added to the currently selected project item. If you click the Cancel button or close the dialog by pressing the ESC key, the operation will be cancelled.

To remove a sub-item:

1. Open a project you wish to delete a sub-item from. In the Workspace Navigator select a sub-item you are going to delete.

2. Select Delete from either the Project menu or WN shortcut menu. The system displays the warning message: Do you really want to remove the item <Item Name> with all sub items? with the Yes and No buttons. Click Yes to remove a sub-item together with all of its components. If any of the underlying versions have been opened, its design window is closed without prompting for saving. The parent item of the current project will be selected after the item has been successfully removed.

To modify the sub-item properties:

1. Open a project for which you wish to modify the sub-item properties. In the Workspace Navigator select corresponding sub-item.

2. Select the Project-->Properties command from either the main menu or the WN shortcut menu. The system displays the Item Properties dialog.

Example of the Item Properties dialog

The items of the Item Properties dialog have the following meaning:

Name: | In this box type a new non-empty item name (required).
Description: | Type any text describing an item (optional).
OK: | When clicked, the changes will be applied.
Cancel: | If you click the Cancel button or close the dialog by pressing the ESC key, the operation will be cancelled.

Note: For the label versions the Properties dialog has a different appearance. It contains check boxes Default and Shared and information about label background, but does not contain the Description box. As for project properties, the application shows the dialog similar to the standard file properties form.

3. Fill in the boxes in accordance with the description presented above and click OK to complete the operation.


Managing Labels

When working with a project you are allowed to add a new label to the project tree, remove a label from it, move a label to the new position in the project tree, or modify label properties.

To add a new label:

1. Open a project you are going to add a label to. In the Workspace Navigator select the project root or any sub-item.

2. Do one of the following:

-- Click the [image] icon on the Project toolbar,

-- Select the Project-->Insert-->Label command from the main menu,

-- Right-click selected item and choose New Item from the WN shortcut menu.

Example of shortcut menu for projects

The system displays the Add Label dialog (as when a new project is created).

3. Click OK if you want to complete the operation. Click Cancel, if you change your mind.

To remove a label:

1. Open a project you wish to delete a label from. In the Workspace Navigator select a label you are going to delete.

2. Do one of the following:

-- Select the Project-->Delete command from the main menu,

-- Right-click selected item and choose Delete from the WN shortcut menu.

Example of shortcut menu for labels

3. The system displays the warning message: Do you really want to remove Label <Item Name>? along with the Yes and No buttons. If you click Yes a label will be removed along with all components. If any of the underlying versions had been opened, its design window is closed without prompting to confirm saving.

To move a label:

* Do one of the following:

-- Drag-and-drop any label in the WN tree to the destination item,

-- Right-click a label you want to move and select the Move command from the shortcut menu. The Move Component dialog appears, which allows you to select the target point for your label.

To view or change label properties:

1. Open a project for which you are going to change properties. In the Workspace Navigator select the label you want to view or modify properties for.

2. Do one of the following:

-- Select the Project-->Properties command from the main menu,

-- Right-click selected item and choose Properties from the WN shortcut menu.

The application displays the Label Properties dialog. You can change a name, template and description of the label.

3. Click OK, if you want to complete the operation. Click Cancel, if you change your mind.


Managing Versions

When working with a project you are allowed to add a new version to the label in the project tree, remove a version from it, modify version/label properties or share a version. For more information see the following sections:

Adding New Versions

Removing Versions

Changing Version/Face Properties

Sharing a Version

Saving a Version as Template


Adding New Versions

When working with a project you are allowed to add a new version to the label in the project tree, remove a version from it, modify version/label properties or share a version.

To add a new version:

1. Open a project you are going to work with. In the Workspace Navigator select the face or version for which you want to create a new version.

2. Do one of the following:

-- Click the [image] or [image] icon on the Project toolbar,

-- Select the Project-->Insert-->Version-->Blank or Project-->Insert-->Version-->As Copy command from the main menu,

-- Right-click selected item and choose Create New Version-->Blank or Create New Version-->As Copy from the WN shortcut menu.

Example of shortcut menu for faces

a. If you choose the Blank command from either the main menu or the WN shortcut menu, a new version of the current label will be created based on label's template.

The system displays the Version Name dialog like shown in the example below in order to allow the user to rename the Version. The default value of the version is Version <next Number>. If you click the OK, a new version will be added to the project. If you click Cancel, the adding process will be aborted. A version name cannot be blank.

Example of the Version Name dialog

b. If you choose the As Copy command from either the main menu or from the WN shortcut menu, the Insert Version as Copy dialog shown in example below appears. It allows you to create a new version of the current label as either a copy of the default label version or a copy of the currently selected version.

Example of the Insert Version as Copy dialog

3. Click OK if you want to complete the operation. Click Cancel, if you change your mind. A new version will be added to the WN as the last version of the current label. This version will be selected and its window will be opened as a child window in the application.

Note: When you create a new blank label, it always has one face (called "Label") and one label version object (called Version1).


Removing Versions

When working with a project you are allowed to add a new version to the label in the project tree, remove a version from it, modify version/label properties or share a version.

To remove a version:

1. Open a project you wish to delete a label version from. In the Workspace Navigator select a label version you are going to delete.

2. Do one of the following:

-- Select the Project-->Delete command from the main menu,

-- Right-click selected item and choose Delete from the WN shortcut menu.

Example of shortcut menu for versions

The system displays the warning message: Do you really want to remove Version <#> from the label <Label Name>? along with the Yes and No buttons.

3. If you click Yes, the selected version will be removed. The previous (next, if it was the first version) version will be selected in the project tree after removing.

Note: You cannot remove a single label version.


Changing Version/Label Properties

Using the Workspace Navigator you can change properties of a label or version.

To change version/label properties:

1. Open a project you wish to work with. In the Workspace Navigator select a label/version you are going to change properties for.

2. Do one of the following:

-- Select the Project-->Properties command from the main menu,

-- Right-click selected item and choose Properties from the WN shortcut menu.

The system displays The Face and Face Versions Properties dialog.

3. Click OK, if you want to complete the operation. Click Cancel, if you change your mind.


Sharing a Version

The system allows you to share a version of any face for using it with other label of your project.

To share a version:

1. Open a project you wish to work with. In the Workspace Navigator select a face version you are going to share.

2. Do one of the following:

-- Select the Project-->Share command from the main menu,

-- Right-click selected item and choose Share from the WN shortcut menu.

The Editor displays the Share Version dialog.

Note: When a version is shared with the destination parent label, the new copy of this version, which is created below this label, establishes a link between the new and original items. In the WN, special icons delineate both versions. Any changes in the original version will automatically apply to the linked version and vice versa. You can later choose to break this link in the Version Properties Dialog.

3. Select the parent label for the shared version and click OK. The current version will be copied as a shared item to the new location.

Example of sharing a version:

Suppose we want to share the CD1_version1 version, which is used in the CD Core Label, with the alternative CD label (see the left picture). It is necessary to select the CD1_version1 version and select Share from the Format or shortcut menu. The Share Version dialog like the one shown here is displayed. Select alternative CD as the destination label and click OK. The result is shown on the picture at the right. Pay attention to the fact that the shared versions are marked with a special icon.


Saving a Version as Template

If you have created a label which is going to be re-used in other projects, save it as template.

To save a version as template:

1. Open a project you wish to work with. In the Workspace Navigator select a label version you are going to save as template.

2. Do one of the following:

-- Select the Project-->Save Version As Template command from the main menu,

-- Right-click selected item and choose Save Version As Template from the WN shortcut menu.

The Editor displays the Save As dialog like the one shown in the example below.

Example of the Save As dialog (for version templates)

3. Here in the File name box enter the name of your file with .mvt extension. If you want to change template options click Change. The application displays the Version Template Options dialog. It has two tabs: General and Layout. The General tab allows you to save or assign a thumbnail to the label version. With the help of the Layout tab you can save a text layout of your label.

Example of the General tab for version template options

The items of the General tab have the meaning discussed below.

Build: | Builds an automatic image preview of the selected version.
Browse: | Allows you to assign an image to the selected version.
Clear: | When clicked, clears the preview area.
Theme: | Allows you to enter a new theme or select one of the available themes from the combo box.
Media: | Allows you to enter a new media type or select one of the available media types from the combo box.

Example of the Layout tab for version template options

The items of the Layout tab have the following meaning:

Build: | Builds an automatic layout preview of the selected version.
Browse: | Allows you to assign an image to the layout of the selected version.
Clear: | When clicked clears the preview area.

4. Change the template options in accordance with description presented above and click OK. The application returns to the Save As dialog. Open the folder with the installed MediaFACE 4.0 version templates (...\<MediaFACE 4.0 install folder>\Settings\Templates\Versions). Specify a file name for saving. Click Save to complete the operation. The version is saved under the specified name as a template.

Note: Exit and restart MediaFACE 4.0 to use the newly created version template. The created version template will appear in The New Project wizard (step 4) as text layout for the label template. For details refer to the section titled Creating Projects.


Modifying Project Properties

Any time when working with a project you are allowed to modify project properties.

To modify the project properties:

1. Open a project you wish to modify the project properties for. In the Workspace Navigator select corresponding project.

2. Do one of the following:

-- Select the Project-->Project Properties command from the main menu,

-- Right-click selected item and choose Project Properties from the WN shortcut menu appeared.

Example of shortcut menu for projects

The application displays the Project Properties dialog.

3. Define the project properties in accordance with description presented in the reference above and click OK if you want to complete the operation. Click Cancel, if you change your mind.


Sending Projects by E-mail

MediaFACE 4.0 supports sending projects as a file by e-mail.

To send the current project by e-mail:

1. Select Send by E-mail from the File menu. The application launches the default email application and creates a new message like the one shown in the picture below:

2. Fill in the email of the person you want to send the project to in the To: box and click Send.


Exporting Projects

The application can export projects, namely the labels of the current project. When exporting the application takes the first version of each label.

To export projects:

1. Select Export from the Tools menu. The Export Options dialog appears which allows you to:

-- To save all the current label versions in the folder you define using one of the proposed file formats, or

-- To save all the current label versions in a zip-archive using one of the proposed file formats.

Example of the Export Options dialog

The items of the Export Options dialog have the following meaning:

Combo Box: | Allows you to select the image format from available ones
Pack contents in ZIP format: | When selected packs images in the zip-file
Target Folder: | Use the Browse button to define the target folder
Target file name: | Enter the file name for your images.
Path for exporting: | The application displays actual paths of the images in this box
Export: | When clicked exports the images (labels of your project).
Cancel: | When clicked cancels the operation.

2. Fill in the boxes in accordance with description presented above and click Export to complete the operation. The application displays a message like the one below.

Note: If any exported file already exists, the following message appears: The file <file name with a path> is already present on disk. Would you like to overwrite it?


Printing Projects

When working with the application you are allowed to print labels on the special papers for sticking onto a CD, inserting into a CD jewel etc.

To print labels in the project:

1. Do one of the following:

-- Select Print from the File menu,

-- Click [image] on the Standard Toolbar.

The Printing Plug-in 4.0 dialog is displayed.

Papers: | Here you are allowed to select one of available paper types.
Preview area: | Displays the labels you are going to print.
Hint: | In this box the application displays the hint while the pointer of your mouse is moving across the dialog items.
Name: | From this combo box select the name of the printer device.
Status: | Displays the current status of the selected device.
Type: | Displays the type of the device you have selected.
Where: | The application displays the location of the selected device.
Comment: | Displays a comment describing the selected device.
Settings: | When clicked displays the standard printer settings dialog, which allows you to fine tune your device. For example, you can specify parameters such as paper size, image quality and orientation.
Calibrate: | When clicked displays the Printer Calibration dialog, which allows you to calibrate your printer.
Paper name: | Displays the name of the paper type you select in the Papers bar.
Number of copies: | Here you have to enter the number of copies to be printed.
Print: | When clicked prints the currently selected paper.

2. Fill in the dialog items in accordance with the description presented above, perform the Printer Calibration (if required) and click Print. The selected label version(s) will be printed according to the specified parameters.


Inserting Text

The Text Tool allows you to insert the text on labels.

To insert the text:

1. Select the label you are going to insert the text into.

2. Choose the Text Tool by clicking the [image] icon on the Object Toolbar. The mouse cursor appears as a crosshair in relation to the text icon.

3. Drag your mouse to define the reference frame of the new text. While the mouse is being dragged a rubber rectangle is drawn. It will include a reference frame when you release the left mouse button. The width of the rubber rectangle is 1 px, the color contrasts with the background.

4. If you click the right mouse button or press the Esc key while dragging the mouse, the current drawing process is cancelled. The tool remains selected.

5. After you release the left mouse button it becomes possible to input text into the defined frame using the Text Style palette. The Enter key can be used in order to input multiple lines of text.

6. To finish the text input and thereby complete the text creation process, you can press the Esc key or click the mouse outside the reference frame.The font, shadow, blend, shade, outline, border and other effects are defined by the current state of the environment.

7. You can insert new text until another tool is chosen.

Note: You can change the Outline, Filling and Shadow properties in the corresponding palettes.


Using Line Tool

The Line Tool allows you to draw lines, polylines and splines on the labels.

To use the line tool:

1. Select the label you are going to use the line tool for.

2. Choose the Line Tool by clicking the [image] icon on the Object's Toolbar. The mouse cursor appears as a crosshair with the polyline icon.

Line:

3. Click the mouse button in the place where you wish to begin a line. Move the mouse to the end point of your line and click the mouse button again. While dragging, a rubber band appears as a thin line, which can be resized and reshaped later.

4. Press the Enter button on the keyboard to complete the operation. The line will be transformed to a permanent line with a width equal to 1 px, and the color will be contrasted with the background.

5. If you press either the right mouse button or the Esc key, the current drawing process is cancelled. The tool remains selected.

Polyline:

3. Click the mouse button in the place where you wish to begin the segment of a polyline. Move the mouse to the end point of this segment and click the mouse button again. While dragging, a rubber band appears as a thin line, which can be resized and reshaped later.

4. Repeat step 3 as many times as needed.

5. Press the Enter button on the keyboard to complete the operation. The polyline will be transformed to a permanent polyline with a width equal to 1 px, and the color will be contrasted with the background.

6. If you press either the right mouse button or the Esc key, the current drawing process is cancelled. The tool remains selected.

Spline:

3. Hold the mouse button down in the place where you wish to begin the spline. Move the mouse to the end point of this spline and click the mouse button again. While dragging, a rubber band appears as a thin line, which can be resized and reshaped later.

4. Repeat the step 3 as many times as needed.

5. Press the Enter button on the keyboard to complete the operation. The spline will be transformed to a permanent spline with a width equal to 1 px, and the color will be contrasted with the background.

6. If you press either the right mouse button or the Esc key, the current drawing process is cancelled. The tool remains selected.


Using Rectangle Tool

The Rectangle Tool allows you to draw the rectangles on the labels.

To use the rectangle tool:

1. Select the label you are going to use the rectangle tool for.

2. Choose the Rectangle Tool by clicking the [image] icon on the Object's Toolbar. The mouse cursor appears as a crosshair with the rectangle icon.

3. You can change the round corners in the Rectangle properties palette.

4. Hold the mouse button down in the place where you wish to begin the left top corner of your rectangle. During the dragging a rubber rectangle appears. It appears as a new rectangle when you release the left mouse button. The width of the rubber rectangle is 1 px; the color contrasts with the background.

5. If you press the right mouse button or the Esc key, the current drawing process is cancelled. The tool remains selected.

6. Release the left mouse button. A new rectangle is created with diagonal points, which correspond to the locations where the left mouse button was pressed and released. Rounding of corners, line color, line style, line thickness, fill properties and the shadow of the new rectangle are defined by the current state of the environment.

7. You can draw a new rectangle until another tool is selected.


Using Ellipse Tool

The Ellipse Tool allows you to draw the ellipses on the labels.

To use the ellipse tool:

1. Select the label you are going to use the ellipse tool for.

2. Choose the Ellipse Tool by clicking the [image] icon on the Object's Toolbar. The mouse cursor appears as a crosshair with the ellipse icon.

3. Hold the mouse button down in the place where you wish to begin the left edge of your ellipse. During the dragging a rubber ellipse is shown. The width of rubber ellipse is 1 px; the color contrasts with the background.

4. If you press the right mouse button or hit the Esc key, the current drawing process is cancelled. The tool remains selected.

5. Release the left mouse button. A new ellipse is created with edge points that correspond to the locations at which the left mouse button was pressed and released. The line color, line style, line thickness, fill properties and shadow of the new ellipse are defined by the current state of the environment.

6. You can draw a new ellipse until another tool is chosen.


Using Segment Tool

When finished drawing a line which consists of several segments, you can transform it into a spline. The Segment Tool helps you in this operation. You are allowed to build a spline transforming one segment (a line closed between two points) after another.

To draw a spline:

1. Select the [image] icon on the Object Toolbar.

2. Place the mouse pointer on a segment you wish to transform.

3. Using the left mouse button drag the mouse in a new position checking how the line shape is changed.

4. When you will be satisfied with a line shape, release the button. The system will fix a new spline position. Now you can transform other segments.

On the pictures below you can see the initial polyline (left) and the target spline (right), which has been got from the former by using Segment Tool to the leftmost segment.


Inserting Image from File

There are several methods used for inserting images. In particular you are allowed to insert an image from a file.

To insert the image from a file:

1. Select the design label you are going to insert the image into.

2. Choose the Insert-->Picture-->From File command. The editor opens the standard Open File dialog. This dialog includes a preview window, where you can see the image before it will be inserted.

Example of the Insert Image dialog

3. You can choose a file which contains an image that corresponds to any of the following formats: Leadview bitmap, JPEG, GIF, Tag Image File Format (TIFF), Windows Bitmap, Windows Icon, Windows Cursor, ZSoft Publisher Paintbrush, Multiple-Page PCX, Kodak PhotoCD, FlashPix, Windows Metafile Format, Adobe PhotoShop Document, Portable Network Graphics, Targa TGA, Encapsulated PostScript, Sun Raster, WordPerfect Graphic Bitmap, or Macintosh PICT.

4. Click the Insert button. The dialog is closed, if the format of selected image is supported, the cursor appears as a crosshair, which includes an image icon that allows it to be placed into the active design. If the file format is not supported, the error message Selected image format is not supported appears.

5. When you launch this dialog next time (even if it is in the next editing session), it opens the last used folder.


Inserting Image from Image Library

There are several methods used for inserting images. In particular you are allowed to insert an image from the Image Library.

To insert the image from Image Library:

1. Select the label you are going to insert the image into.

2. Choose Insert-->Picture-->Image Library command. The editor opens the Image Library dialog.

3. Click Insert or double click the image you want to insert into the Work Area.

4. The dialog is closed. The cursor appears as a crosshair, which includes an image icon so as to place it into active design.

There is alternative way for inserting the image from Image Library. You can insert an image from the Image Library Palette.

To insert an image from the Image Library Palette:

1. If the palette is not visible, you have to display it via the View-->Palettes-->Image Library command. . You can then drag and drop the image from the palette directly to the work area.

2. The Image Library dialog, which can be resized, contains a scrollable list of small thumbnails of images available in the Image Library. Initially, this list displays the top level of the catalog hierarchy - names and thumbnails of catalogs. You can scroll further into the catalog and navigate between images by using either the mouse or keyboard. When the image is selected, its name is highlighted and the selection frame around the image appears. Only one image can be selected at a time.

3. User can insert image into the Work Area by double clicking on the image or by pressing the Space or Enter key on the keyboard.


Inserting External Image

There are several methods used for inserting images. In particular you are allowed to insert an image from an external source.

To insert the external image:

1. Select the label you are going to insert the external image into.

2. Choose the Insert-->Picture-->External command. The editor opens the Get Picture dialog. It contains four tabs, which allow you to insert an image from one of the external sources: Camera, Webcam, Scanner, or Data Source. For details see the section Using Camera, Using Webcam, Using Scanner, or Using Data Source correspondingly.

3. Click the OK button.

4. The dialog is closed. The cursor appears as a crosshair, which allows you to place it into the active design.


Making Effects

All built-in image effects, which are supported by the Editor, can be created by the Image Effects dialog shown in example below (for the Hue-Saturation command).

Example of the Image Effects dialog

The dialog includes two image placeholders. In the left image box you can see the original image; in the right image you can view the image as modified with the currently chosen effect. If the image is larger than the placeholder, you can drag images synchronously using the mouse (the mouse cursor appears as a "hand" pointer when it is moved over the image). After clicking the Apply button, the original image is changed and the effects combo box will display the "Original" item.

If you choose another effect from the effects combo box, but do not apply the previous effect, the previous change will be discarded. Most parameters in the dialog can be modified within some range of integers.

To modify the image effect:

1. Select one or more images on the active label version. Choose the effect name from the menu (by the Format-->Effects--><image effect> command), or open any effect and then select the needed effect from the combo box in the Image Effects dialog.

Note: This is not an actual effect, but the first entry in the Effects combo box is an Original. When selected, only the original image will be displayed in the dialog.

2. The Image Effects dialog displays different parameters for different image effect commands:

Commands | Parameters
Hue-Saturation | Hue Slider (min: 0; max: 360; default:0)
-"- | Saturation Slider (-1000; 1000; 0)
-"- | Lightness Slider (-1000; 1000; 0)
Brightness-Contrast | Brightness Slider (-1000; 1000; 0)
-"- | Contrast Slider (-1000; 1000; 0)
Gamma | Gamma Slider (0; 1000; 0)
Mosaic | Dimensions Slider (1; 1000; 1)
Noise | Channels: This combo box contains items: All Channels (default), Red channel, Green channel, Blue channel.
-"- | Range Slider (0; 1000; 0)
Emboss | -- Direction: Contains options: Northwest, North, Northeast, West, East, Southwest, South, and Southeast.
-"- | Depth Slider (0; 1000; 0)
Oilify | Dimension Slider (1; 100; 1)
Posterize | Level Slider (2; 64; 64)
Solarize | Threshold Slider (0; 255; 255)
Invert | Has no parameters.
Grayscale | Has no parameters.
Sharpen | Sharpness Slider (-1000;1000;0)
Underlay | Tile: Allows you to tile the underlay. This repeats the underlying image, so that it fills the target image.
-"- | Stretch: Allows you to stretch the underlay to fit the dimensions of the target image.
-"- | Underlying image: In this box enter a path to underlying image manually or select it through the File Open dialog with preview feature by clicking the Browse button. If you entered the wrong image or left this text box empty, the effect is not applied.

3. Select the needed effect, choose the effect parameters (if any), and click either the OK or Apply button in order to apply changes or the Cancel button to discard changes.


Cropping Image into Shape

You are allowed to crop an existing image into one of the available shapes (rectangle, closed line, or ellipse).

To crop image into shape:

1. Select an image and 2D object (rectangle, closed line, or ellipse).

2. Select the Format-->Image-->Crop Image command. The editor creates an image from its part, which is occupied by the shape and reshapes it as a picture. If the image does not cover the whole shape, the crop is considered tiled. If the shape and image do not intersect each other, the following warning message appears: Image and shape do not intersect. Cannot crop image. Click the Close button to complete the operation.


Inserting OLE Objects

There are several methods used for inserting objects into a project. In particular you are allowed to insert an OLE object.

To insert the OLE object:

1. Select the design you are going to insert the OLE object into.

2. Choose the Insert-->Insert New Object command. The editor opens the Insert Object dialog.

Example of the Insert Object dialog (Create New)

The items of the Insert Object dialog have the following meaning:

Create New: | Select this option if you want to create a new object.
Create from file: | Select this option if you want to create an object from a file.
Object Type: | From this list select the object type you want to use for creating an object. There are several object types: Bitmap Image, Media Clip, Microsoft Excel chart etc.
Result: | Displays the text describing what will be done for selected object type.

3. Specify the object type or file from which the object will be created. If you select the Create from file option, the appearance of the Insert Object dialog is changed. It looks like the one shown in the example below.

Example of the Insert Object dialog (Create from file)

4. Click the OK button. The new OLE object is inserted into the active design so that it becomes visible. The new object is activated. If the bitmap object is selected the system inserts it into the Work Area as shown in the example below..

Example of the system with the bitmap object inserted


Inserting Predefined Text

When working with a project you can insert the predefined text into a label.

To insert the predefined text:

1. Select the label you are going to insert the predefined text into.

2. Choose the Insert-->Predefined Text command. The editor opens the Predefined Text dialog for selecting predefined field codes.

Example of the Predefined Text dialog

The items of the Predefined Text dialog have the following meaning:

Fields: | Here you can choose from different types of predefined text. They are Data List Information, Date, File List information, Play List information, Project information, Sequence, Time and User information.
Values: | The list of certain values for corresponding predefined text selected in the Fields list. This list is specific for every kind of predefined text.
Enhanced mode: | When selected switches the dialog to the enhanced mode. The Field code box and Function button appear. If you click the latter the Function dialog appears.
Static Value: | This checkbox forces the system to insert a static value instead of evaluated field.
Field Code: | When selecting the Enhanced mode combo box, the system automatically inserts a formula in this box, which corresponds the type of predefined text and item you select from the Values box. You can modify this string manually using the description in the section titled Appendix A. Working with Functions.
Function: | When clicked displays the Function dialog, which allows you to select one of the functions supported by the application. For details see the section titled Appendix A. Working with Functions.
Preview: | Displays the sample of the predefined text.
List Manager: | When clicked displays the List Manager dialog. For further information refer to the section titled Managing Lists.
Insert: | When clicked places predefined text onto the label.
Close: | When clicked closes the dialog.

3. Select the predefined text value and click the Insert button.

4. If an existing text object was selected before inserting a field, this field will be placed into the current cursor position. If no existing text object was selected, a new text object will be created in the default position (in the left bottom corner of workspace).

5. You can insert new text fields until the dialog is closed.


Inserting Bar Codes

Definition: : The bar code is a special identification code printed as a set of vertical bars of differing widths on books, grocery products, and other merchandise. Used for rapid, error-free input in such facilities as libraries, hospitals, and grocery stores, bar codes represent binary information that can be read by an optical scanner. The coding can include numbers, letters, or a combination of the two; some codes include built-in error checking and can be read in either direction.

To insert the bar code:

1. Select the design you are going to insert the bar code into.

2. Choose the Insert-->Bar code command. The editor opens the Insert Bar Code wizard.

3. Specify the bar code properties.

4. Click the Finish button. The new bar code object is inserted into the active design so that it becomes visible. The new barcode object is activated.


Inserting Play List

There are several lists you can insert into your project. In particular you are allowed to insert the play list into a project.

To insert the play list:

1. Select the label into which you are going to insert the play list.

2. Choose the Insert-->Play List command. The Editor opens the Insert Playlist dialog as shown in example below.

Example of the Insert Playlist dialog

The items of the Insert Playlist dialog have the following meaning:

Play list: | Allows you to select a play list from available ones.
List Manager: | Click this button if you wish to create a new play list. For further information refer to the section entitled Managing Lists.
Values: | Displays the items of the play list, selected in the Play list combo box.
Preview: | Tthe application displays the values of the items selected in the Values box.
Field Code: | When selecting the Enhanced mode combo box, the application automatically inserts a formula in this box, which corresponds a play list and item you select from the Values box. Now you can modify this string manually using description presented in the section titled Appendix A. Working with Functions.
Function: | When clicked displays the Function dialog, which allows you to select one of the functions supported by the application. For details see the section titled Appendix A. Working with Functions.
Enhanced mode: | When selected expands the dialog. The items Field Code and Function appear on the dialog.
Static value: | When selected the system calculates the formula and inserts a result into the inserting point. Otherwise the system inserts the formula itself into the inserting point.

3. When you click OK, the mouse cursor appears as a crosshair, which includes the list icon, so that you can place the list onto the Work Area. If you press Esc before dropping the list to the cover, or select either the drawing tool or any menu command, the operation cancels.

Note: You can place text and formulas into the edit string. To distinguish a text from formula the latter is closed in braces. You can arrange text and formulas in the any order. If you insert a list, the first formula should be a list identifier and it should be unique.

Example of the Field Code box for a play list:

{PlayList['{DFC102A1-9AF7-4bd7-B21B-6FADE0D1CE25}']}Song: {Item:Name} Time:{Item:Duration}


Inserting File List

There are several lists you can insert into your project. In particular you are allowed to insert the file list into a project.

To insert the file list:

1. Select the label you are going to insert the file list into.

2. Choose the Insert-->File List command. The Editor opens the Insert Filelist dialog as shown in the example below.

Example of the Insert Filelist dialog

The items of the Insert Filelist dialog are described in the following table:

File list: | Allows you to select a file list from those available.
List Manager: | Click this button if you wish to create a new file list. For further information refer to the section entitled Managing Lists.
Values: | Displays the items of the file list, selected in the File list combo box.
Preview: | Here the application displays the values of the items selected in the Values box.
Field Code: | When selecting the Enhanced mode combo box, the application automatically inserts a formula in this box, which corresponds to a file list and item you select from the Values box. Now you can modify this string manually using the description presented in the section titled Appendix A. Working with Functions.
Function: | When clicked displays the Function dialog, which allows you to select one of the functions supported by the application. For details see the section titled Appendix A. Working with Functions.
Enhanced mode: | When selected expands the dialog. The items Field Code and Function appear in the dialog.
Static value: | When selected the application calculates the formula and inserts a result into the inserting point. Otherwise the system inserts the formula itself into the inserting point.

3. When you click OK, the mouse cursor appears as a crosshair, which includes the list icon, so that you can place the list onto the Work Area. If you press Esc before dropping the list to the label, or select either the drawing tool or any menu command, the operation cancels.


Inserting Data List

There are several lists you can insert into your project. In particular you are allowed to insert a data list into a project.

To insert the data list:

1. Select the label you are going to insert the data list into.

2. Choose the Insert-->Data List command. The Editor opens the Insert data from the Data Source dialog as shown in the example below.

Example of the Insert data from the Data Source dialog

The items of the Insert data from the Data Source dialog are described in the table below:

Data Source: | Allows you to select a data source list from available ones.
List Manager: | Click this button if you wish to create a new data source list. For further information refer to the section titled Managing Lists.
Values: | Displays the items of the data source list, selected in the Data Source combo box.
Preview: | The application displays the values of the items selected in the Values box.
Field Code: | When selecting the Enhanced mode combo box, the application automatically inserts a formula in this box, which corresponds to a data source list and item you select from the Values box. Now you can modify this string manually using the description presented in the section titled Appendix A. Working with Functions.
Function: | When clicked displays the Function dialog, which allows you to select one of the functions supported by the application. For details see the section titled Appendix A. Working with Functions.
Enhanced mode: | When selected expands the dialog. The items Field Code and Function appear on your screen.
Static value: | When selected the application calculates the formula and inserts a result into the inserting point. Otherwise the system inserts the formula itself into the inserting point.

3. When you click OK, the mouse cursor appears as a crosshair, which includes the list icon, so that you can place the list onto the Work Area. If you press Esc before dropping the list to the label, or select either the drawing tool or any menu command, the operation cancels.


Manipulating Object Position

You are allowed to manipulate an object position by two ways: with the help of changing it within one layer and by tabbing between objects.

The system allows you to switch between objects with the help of the Tab key (directly) or the Shift+Tab keys (in the reverse direction).

Usually you are working with objects that are placed on several layers. You can change an object position within one layer. You are allowed to bring an object to the top or bottom of this layer, move an object one level up or down within one layer.

To bring an object to top of the current layer:

* Having objects on a certain layer select an object you want to place on the top within the layer relative to other objects and do one of the following:

-- Choose the Bring to Front command from the Format menu,

-- Click the [image] icon on the Format toolbar.

To bring an object to bottom of the current layer:

* Having objects on a certain layer select an object you want to place on the bottom within the layer relative to other objects and do one of the following:

-- Choose the Send to Back command from the Format menu,

-- Click the [image] icon on the Format toolbar.

To move an object one level up within the current layer:

* Having objects on a certain layer select an object you want to place one level up within the layer relative to other objects and do one of the following:

-- Choose the Move Up command from the Format menu,

-- Click the [image] icon on the Format toolbar.

To move an object one level down within the current layer:

* Having objects on a certain layer select an object you want to place one level down within the layer relative to other objects and do one of the following:

-- Choose the Move Down command from the Format menu,

-- Click the [image] icon on the Format toolbar.


Flipping Objects

You are allowed to flip such objects as images. Selected objects are flipped either vertically or horizontally across the center axis of the selection.

To flip an object:

1. Select one or more objects on the active design.

2. Select Flip Horizontal or Flip Vertical from the Format menu. Selected objects are flipped either horizontally or vertically across the center of the selection.


Rotating Objects

You are allowed to rotate objects using the Pointer Tool (the [image] icon on the Object's Toolbar).

To use the Pointer Tool for rotating:

1. Having selected one ore more objects choose the Pointer tool.

2. When working with the Pointer Tool use the following rules:

-- Double click the selected object. Look at how the mouse pointer changes to the shape of the rotate tool,

-- Press the left mouse button on the work area and hold it down. The selected point is the center of rotation.

-- By moving the mouse pointer you can rotate the object. When you release the left button, the mouse pointer reverts to the normal view.

Note: You can rotate the object by entering the rotation angle into the Rotate field in the General palette (or into the General tab in the object properties)


Modifying Object Shape

The user can modify the shape of any object, which is drawn on the Work Area. You are allowed to modify object's shape using the Pointer Tool (the [image] icon on the Object's Toolbar).

To use the Pointer Tool for modifying object shape:

1. Choose the Pointer tool.

2. Select the object whose shape you wish to modify. When working with the Pointer Tool use the following rules:

Lines:

3. When you move the mouse over the end points of a line, the mouse cursor prompts you to "Modify" by changing its pointer to a small cross.

4. Click the left mouse button and drag the end point of the line. A temporary representation of the new line appears. Its color contrasts with the background. Check how the line is changed.

5. When you release the mouse button, the line takes on the new shape and looks like a spline. In the pictures below you can see the initial line (left) and the target spline (right), modified as described above in 4.

6. While dragging the mouse, you can press the ESC key or the right-click the mouse so as to stop the operation.

Note: Each spline vertex includes its own special points, which serve to round corners. When the spline vertex is selected, these points also become visible. You can drag these points as usual.

Polylines:

3. When you move the mouse over the vertex of a polyline, the mouse cursor prompts the user to "Modify" by changing its pointer to a small cross.

4. Click the left mouse button and drag the vertex. The temporary representation of the new polyline form appears; its color contrasts with the background. Check how the polyline has changed.

5. When you release the mouse button, the two segments of a polyline take on the new shape and look like a spline. In the pictures below you can see the initial polyline (left) and the target spline (right), which has been drawn using the rules discussed above in 4.

6. While dragging, you can press the ESC key or right-click the mouse in order to stop the operation.

Note: Each spline vertex includes its own special points, which serve to round corners. When the spline vertex is selected, these points also become visible. You can drag these points as usual.

Spline:

3. When you move the mouse over the vertex of the spline, the mouse cursor prompts you to "Modify" by changing its pointer to a small cross.

4. Hold the left mouse button down and drag the vertex. A temporary representation of a new spline form appears; its color contrasts with the background.

5. When you release the mouse button, the spline takes the new shape. In the pictures below you can see the initial spline (left) and the target spline (right), which has been drawn using the rules discussed above in 4.

6. You can press either the ESC key or right-click the mouse, while dragging the mouse, so as to stop the operation.

Note: Each spline vertex includes its own special points, which serve to round corners. When the spline vertex is selected, these points also become visible. You can drag these points as usual.

Rectangle:

3. You can change the width and height of a rectangle by dragging any special point on the rectangle borders. All special points, which are placed outside of a rectangle, allow you to change its shape to a rhombus as shown on the pictures below. Here you can see the initial rectangle (left) and the target rhombus (right), which was drawn using the rules discussed above.

Ellipse:

3. You can change the width and height of an ellipse by dragging any special point on the ellipse borders. All special points, which are placed outside of an ellipse, allow you to change its shape to that of the other ellipse as shown on the pictures below. Here you can see the initial ellipse (left) and the target ellipse (right), which has been generated from the former by using the rules discussed above.

Note: You can also change the width and height of the object by entering new values into the General palette (or into the General tab in object properties).


Locking and Unlocking Objects

You can prevent changes to object properties by locking the objects in either the General Tab of Object Properties dialog or in the General palette. Locked objects cannot be changed in any way, even if they are part of a group, which is being modified. The object is unlocked when you release the "lock" option. Locking and unlocking are realized with the help of the [image] button. The presentation pictured above is typical for unlocked objects.

To lock an object:

* Working with a certain object and being either in the General Tab of Object Properties dialog or in the General palette, click the Lock/Unlock button. The application locks the current object.

To unlock a locked object:

* Having a locked object and being either in the General Tab of Object Properties dialog or in the General palette, click the Lock/Unlock button. The application unlocks the current object.


Grouping and Ungrouping Objects

Grouping objects is used to aggregate a number of objects. An object from the group can also include groups. A result group is an object like any other. You can manipulate a group just as a single object. All modifications made to the group are applied to all of its objects. The system does not support nested groups. When you attempt to join two groups by using the Group command, a single group will be created including all objects from the original groups.

The ungroup command is the reverse of group. It separates the group into its original elements. Ungrouping acts only on the first level of the group hierarchy.

To group objects:

1. On the active design select two or more objects or groups.

2. Do one of the following:

-- Select Group from the Format menu,

-- Click the [image] icon on the Format toolbar.

The system joins selected objects into the group.

To divide selected groups:

1. On the active design select groups you wish to separate into objects.

2. Do one of the following:

-- Select Ungroup from the Format menu,

-- Click the [image] icon on the Format toolbar.

The application separates selected groups into several objects.


Converting Objects

You are allowed to apply the Convert to command to those types of objects, which are described below. Before applying this command you have to select one or more objects you are going to convert.

Ellipse:

To convert to circle:

* Select the Format-->Convert to-->Circle command. The currently selected ellipse becomes a circle (i.e. its width and height become equal). Filling, shadow and outline parameters remain unchanged.

To convert to rectangle:

* Select the Format-->Convert to-->Rectangle command. The currently selected ellipse becomes a rectangle with the width and height, which are equal to that of the original ellipse. Filling, shadow and outline parameters remain unchanged.

Rectangle:

To convert to square:

* Select the Format-->Convert to-->Square command. The currently selected rectangle becomes a square (i.e. its width and height become equal). Filling, shadow and outline parameters remain unchanged.

To convert to ellipse:

* Select the Format-->Convert to-->Ellipse command. The currently selected rectangle becomes ellipse with the width and height, which are equal to that of the original rectangle. Filling, shadow and outline parameters remain unchanged.

To convert to polygon:

* Select the Format-->Convert to-->Polygon command. The currently selected rectangle becomes a closed polygon including four vertexes on the previous corners of the rectangle. The filling, shadow and outline parameters remain unchanged.


Copying and Pasting Styles

With the help of the Copy Style command you can copy the outline, filling, shadow and text styles of a given object and later apply this style via the Paste Style command.

To copy a style:

* Select an object you want to copy its style and choose the Edit-->Copy Style command. The style of the selected object is placed in the Clipboard.

To paste a style:

1. Select an object you want to assign a style to and choose the Edit-->Paste Style command. The system displays the Paste Object Style dialog, like shown below.

2. Select check boxes for the style you wish to apply. By default all the check boxes on this dialog are selected.

3. Click OK. The style from the Clipboard is assigned to the selected object.

Note: Selected styles are moved in action only if the object supports them.


Managing Object Properties

The application deals with such objects as text, line, rectangle, ellipse, ole-object and image. The object properties of each object type are defined by the <object type>Properties dialog. These dialogs for object types mentioned above contain the General tab, which is similar for all the object types.

To view or modify object properties:

1. Select one or several objects you want to view or modify properties for.

Note: If you select several objects of different types, the system cannot show some tabs of the <object type>Properties dialog.

2. Do one of the following:

-- Choose Object Properties from the Format menu,

-- Click the [image] icon on the Format toolbar.

<object type>Properties dialog appears, if you select one object. If you select several objects the dialog has the title "Selection Properties". In any case the dialog includes the General tab and may include other tabs specific to the selected object type. If some objects are selected, only the intersection of tabs is shown along with fields for the same parameters, which are presented in an intermediate state if the parameters have a different value or have a value that is common for all selected objects that use these fields.

Example of the General tab for ellipse

The General tab of <object type>Properties dialog contains the following items:

Object: | Displays the object type, which is not editable.
The Lock/Unlock button: | Allows you to lock/unlock object. This prevents any changes you make from editor to the object, until the object is unlocked.
Layer: | Allows you to change an object layer by selecting from existing ones.
Angle: | Allows you to change the angle of object inclination by clicking up and down arrows at the right.

You can change parameters described above for selected objects if necessary.

3. For further information about properties for lines, ellipses, and so on refer to the following sections: Managing Line Properties, Managing Rectangle Properties, Managing Ellipse Properties, Managing Text Properties, Managing Image Properties or Managing OLE-object Properties.

4. If you click OK, new parameters are applied and the dialog is closed. If you click Apply, new parameters come into effect and the dialog continues to operate.


Managing Line Properties

The Line Properties dialog has four tabs - General, Outline, Filling and Shadow. For information about the General tab see the section titled Managing Object Properties.

Note: The Filling and Shadow tab are displayed for closed lines only.

The Outline tab for lines:

Example of the Outline tab for lines

The items of the Outline tab for lines have the following meaning:

Style: | From this combo box select the line style you want to apply to the line.
Thickness: | From this combo box select the line thickness you want to apply to the line.
Color: | From this combo box select the color you want to apply to the line.
Sample: | Displays the line sample with attributes you defined.

The Filling tab for lines:

Example of the Filling tab for Lines

The Filling tab for lines elements are described in the table below:

None: | When selected the object remains transparent.
Solid: | Allows filling with the help of a single foreground color.
Blend: | Allows filling a closed line with a gradient spanning both foreground and background color. The angle of the gradient and other gradient parameters can be later modified by the filling palette on the Work Area. The blend filling can be: Linear, Circle, or Diamond. For further information refer to the section titled Setting Blend Options.
Pattern: | Allows filling with the specified pattern, using the foreground color along with the background color. The pattern filling can be: Vertical, Horizontal etc.
Image: | Allows filling a closed line with specified image. An image is selected using the standard Load Image dialog by clicking Browse. For more information see the section titled Setting Images.
Sample: | Displays the sample line filling.

The Shadow tab for lines:

Example of the Shadow tab for Lines

The items of the Shadow tab for lines are described in the table below:

Offset: | Allows to define the offset for a shadow.
Angle: | Allows to define the angle of deflection for a shadow.
None: | When selected the object remains transparent.
Solid: | Allows filling with the help of a single foreground color.
Blend: | Allows you filling with a gradient spanning both foreground and background color. The angle of the gradient and other gradient parameters can be later modified by the filling palette on the Work Area. The blend filling can be: Linear, Circle, or Diamond. For further information refer to the section titled Setting Blend Options.
Pattern: | Allows filling with the specified pattern, using the foreground color along with the background color. The pattern filling can be: Vertical, Horizontal, and so on.
Image: | Allows filling a closed line with specified image used as shadow. An image is selected using the standard Load Image dialog by clicking Browse. For more information see the section titled Setting Images.
Sample: | Displays the shadow sample.


Managing Rectangle Properties

The Rectangle Properties dialog has five tabs - General, Properties, Outline, Filling and Shadow. For information about the General tab see the section titled Managing Object Properties.

The Properties tab for rectangles:

Example of the Properties tab for rectangles

The Properties tab for rectangles elements are described in the table below:

x, y: | Define the coordinates of the rectangle center.
W idth, Height: | Define the width and height of a rectangle.
Round Corner: | Select this check box if you wish to round corners. The Width and H eight boxes define the rounding for the rectangle width and height.

The Outline tab for rectangles:

Example of the Outline tab for rectangles

The Outline tab for lines elements are described below:

Style: | From this combo box select the line style you want to apply to the rectangle.
Thickness: | From this combo box select the line thickness you want to apply to the rectangle.
Color: | From this combo box select the color you want to apply to the rectangle.
Sample: | Displays the line sample for rectangle with attributes you defined.

The Filling tab for rectangles:

Example of the Filling tab for rectangles

The items of the Filling tab for rectangles have the following meaning:

Non e: | When selected the object remains transparent.
Solid: | Allows filling with the help of a single foreground color.
Blend: | Allows filling with gradient spanning both foreground and background color. The angle of the gradient and other gradient parameters can be later modified by the filling palette on the Work Area. The blend filling can be: Linear, Circle, or Diamond. For further information refer to the section titled Setting Blend Options.
Pattern: | Allows filling with the specified pattern, using the foreground color along with the background color. The pattern filling can be: Vertical, Horizontal etc.
Image: | Allows filling a rectangle with a specified image. An image is selected using the standard Load Image dialog by clicking Browse. For more information see the section titled Setting Images.
S ample: | Displays the rectangle fill sample.

The Shadow tab for rectangles:

Example of the Shadow tab for rectangles

The Shadow tab elements have the following meaning:

Offset: | Allows to define the offset for a shadow.
Angle: | Allows to define the angle of deflection for a shadow.
Non e: | When selected the object remains transparent.
Solid: | Allows filling with the help of a single foreground color.
Blend: | Allows filling with gradient spanning both foreground and background color. The angle of the gradient and other gradient parameters can be later modified by the filling palette on the Work Area. The blend filling can be: Linear, Circle, or Diamond. For further information refer to the section titled Setting Blend Options.
Pattern: | Allows filling with the specified pattern, using the foreground color along with the background color. The pattern filling can be: Vertical, Horizontal etc.
Image: | Allows filling a rectangle with the specified image used as shadow. An image is selected using the standard Load Image dialog by clicking Browse. For more information see the section titled Setting Images.
S ample: | Displays the shadow sample.


Managing Ellipse Properties

The Ellipse Properties dialog has five tabs - General, Properties, Outline, Filling and Shadow. For information about the General tab see the section titled Managing Object Properties.

The Properties tab for ellipses:

Example of the Properties tab for ellipses

The Properties tab for ellipses elements are described in the table below:

x, y: | Define the coordinates of the ellipse center.
Width, Height: | Define the width and height of an ellipse.

The Outline tab for ellipses:

Example of the Outline tab for ellipses

The Outline tab for ellipses elements are described in the table below:

Style: | From this combo box select the ellipse style you want to apply to the ellipse.
Thickness: | From this combo box select the line thickness you want to apply to the ellipse.
Color: | From this combo box select the color you want to apply to the ellipse.
Sample: | Displays the line sample for ellipse with attributes you defined.

The Filling tab for ellipses:

Example of the Filling tab for ellipses

The Filling tab elements for ellipses are described in the table below:

None: | When selected the object remains transparent.
Solid: | Allows filling with the help of a single foreground color.
Blend: | Allows filling with a gradient spanning both foreground and background color. The angle of the gradient and other gradient parameters can be later modified by the filling palette on the Work Area. The blend filling can be: Linear, Circle, or Diamond. For further information refer to the section titled Setting Blend Options.
Pattern: | Allows filling with a specified pattern, using the foreground color along with the background color. The pattern filling can be: Vertical, Horizontal etc.
Image: | Allows filling an ellipse with a specified image. An image is selected using the standard Load Image dialog by clicking Browse. For more information see the section titled Setting Images.
Sample: | Displays the ellipse fill sample.

The Shadow tab for ellipses:

Example of the Shadow tab for ellipses

The Shadow tab for ellipse elements has the following description:

Offset: | Allows you to define the offset for a shadow.
Angle: | Allows you to define the angle of deflection for a shadow.
None: | When selected the object remains transparent.
Solid: | Allows filling with the help of a single foreground color.
Blend: | Allows filling with a gradient spanning both foreground and background color. The angle of the gradient and other gradient parameters can be later modified by the filling palette on the Work Area. The blend filling can be: Linear, Circle, or Diamond. For further information refer to the section titled Setting Blend Options.
Pattern: | Allows filling with the specified pattern, using the foreground color along with the background color. The pattern filling can be: Vertical, Horizontal etc.
Image: | Allows filling an ellipse with the specified image used as shadow. An image is selected using the standard Load Image dialog by clicking Browse. For more information see the section titled Setting Images.
Sample: | Displays the shadow sample.


Managing Text Properties

The Text Properties dialog has six tabs - General, Properties, Outline, Filling, Shadow and Text Effects. You can perform additional text modification from the Text Style palette (not included in the Properties dialog).

The General tab for text:

Example of the General tab for text

For information about the General tab see the section titled Managing Object Properties. The General tab for the Text Properties contains one additional item:

Tag ID:

Allows you to define the correspondence between the selected text and the Title, Sub Title, Text fields in The New Project wizard (step 4). For details refer to the section titled Saving a Version as Template.

The Properties tab for text:

Example of the Properties tab for text

The elements of the Properties tab for text have the following meaning:

x, y: | Define the coordinates of the text frame center.
W idth, Height: | Define the width and height of a text frame.

The Outline tab for text:

Example of the Outline tab for text

The elements of the Outline tab for text have the following meaning:

Style: | From this combo box select the line style you want to apply to the text.
Thickness: | From this combo box select the line thickness you want to apply to the text.
Color: | From this combo box select the color you want to apply to the text.
Sample: | Displays the line sample for text with attributes you defined.

Note: You can edit the Outline tab only for the text with the applied effect.

The Filling tab for text:

Example of the Filling tab for text

The elements of the Filling tab for text are described in the table below:

Non e: | When selected the object remains transparent.
Solid: | Allows you to fill with the help of a single foreground color.
Blend: | Allows filling with a gradient spanning both foreground and background color. The angle of the gradient and other gradient parameters can also be modified. The blend style can be: Linear, Circle, or Diamond. For further information refer to the section titled Setting Blend Options.
Pattern: | Allows filling with a specified pattern, using the foreground color along with the background color. Some sample pattern fills are: Vertical, Horizontal.
Image: | Allows filling a text with a specified image. An image is selected using the standard Load Image dialog by clicking Browse. For more information see the section titled Setting Images.
S ample: | Displays the text fill sample.

Note: You can edit the Filling tab only for the text with the applied effect.

The Shadow tab for text:

Example of the Shadow tab for text

The elements of the Shadow tab for text are described in the table below:

Offset: | Allows you to define the offset for a shadow.
Angle: | Allows you to define the angle of deflection for a shadow.
Non e: | When selected the object remains transparent.
Solid: | Allows filling with the help of a single foreground color.
Blend: | Allows you filling with a gradient spanning both foreground and background color. The angle of the gradient and other gradient parameters can also be modified. The blend filling can be: Linear, Circle, or Diamond. For further information refer to the section titled Setting Blend Options.
Pattern: | Allows filling with the specified pattern, using the foreground color along with the background color. Some sample pattern fills are: Vertical, Horizontal.
Image: | Allows filling a text with a specified image used as shadow. An image is selected using the standard Load Image dialog by clicking Browse. For more information see the section titled Setting Images.
S ample: | Displays the sample of a shadow.

Note: You can edit the Shadow tab only for the text with the applied effect.

The Text Effects tab for text:

Example of the Text Effects tab for text

The Text Effects tab for text contains thumbnails with samples of different text effects. Select the thumbnail you prefer.

When you select a text effect such as Curved, the application displays a pane like the one shown below with the parameters described in the table. These parameters are only shown in the Object Properties dialog not in the Text Effects palette.

Center X: | Defines the X co-ordinate of the center of the text circle.
Center Y: | Defines the Y co-ordinate of the center of the text circle.
Radius: | Defines the radius of the text circle.
Spacing: | Allows to define the spacing between the letters in the text line. The spacing value is measured in relative units and depends on the selected font.
Angle: | Defines the angle between the the default position and the newly specified position of the central reference point of the text effect.
Inverted: | When selected, it displays the text in the same position, only upside down.

When you select such text effects as Top Arc, Bottom Arc, and Circle, the application displays a pane like the one shown below with a Thickness parameter, which allows you to select the line thickness.

When you select a text effect such as Spiral, the application displays a pane like the one shown below with the parameters described in the table. These parameters are only shown in the Object Properties dialog not in the Text Effects palette.

Radius: | Defines the spiral radius in the units you set.
Quarters: | Allows you to define the quarter where a spiral will be drawn. Possible values are: 1, 2, 3, or 4.
Offset: | Defines a spiral offset to the right (positive values) or to the left (negative values).
Clockwise: | When selected it depicts the spiral twisted clockwise. Otherwise the spiral is twisted counter-clockwise.

Note: There is another alternative to change the text. To edit text in the text frame, click the text frame in order to switch it to the edit text mode. Thereafter you can modify the text body (and format it using the Text Style palette).


Managing Image Properties

The Image Properties dialog has two tabs - General, and Properties. For information about the General tab see the section titled Managing Object Properties. There the difference between an ellipse and an image is that the latter has no Sample field.

The Properties tab for images:

Example of the Properties tab for images

The items of the Properties tab for images have the following meaning:

x, y: | Define the coordinates of the image center.
Width, Height | Define the width and height of an image.


Managing OLE-object Properties

The OLE Object Properties dialog has the single tab - OLE Object.

Example of the OLE Object tab

The items of the OLE Object tab for images have the following meaning:

Object: | Displays the object type, which cannot be editable.
The Lock/Unlock button: | Allows you to lock/unlock object. This prevents any changes made from the editor, until the object is unlocked.
Layer: | Allows you to change an object layer by selecting from existing ones.
Angle: | Allows you to change an angle of object inclination by clicking up and down arrows at the right.
Relative to Original Size: | When selected the ole-object will be proportioned relative to your label.
Scale: | Allow you to set the scale of the ole-object.


Aligning Objects

Allows you to align objects in the Work Area. If you select several objects the system aligns the first selected object.

To align objects:

1. Select an object whose position you wish to align in the Work area. The Alignment dialog is displayed below:

The Alignment dialog elements are described in the table below:

Top: | When chosen aligns the position of the selected object to the top edge of the Work Area.
Center: | When chosen aligns the position of the selected object to the center of the Work Area vertically.
Bottom: | When chosen aligns the position of the selected object to the bottom edge of the Work Area.
Left: | When chosen aligns the position of the selected object to the left edge of the Work Area.
Center: | When chosen aligns the position of the selected object to the center of the Work Area horizontally.
Right: | When chosen aligns the position of the selected object to the right edge of the Work Area.

2. Select one vertical and/or one horizontal options you prefer and click OK to complete the operation.


About Palettes

A set of palettes is provided in order to modify various parameters for drawing objects. By default, the palettes appear stacked together in groups. The positions of all open palettes and moveable dialog boxes are saved when the user exits from the application.

A palette contains the usual control types (as used in any dialog box), such as command buttons, options, and list boxes. However, unlike most dialog boxes, you can keep palette windows open while working on a document. You are allowed to access the operations used most frequently or to experiment with different effects.

Palette windows can be docked to any edge of the application window, or you can choose to undock them. Furthermore, you can minimize palette windows so that they do not occupy valuable screen space. When you choose a palette from the View-->Palettes--><Palette name> submenu, the Editor looks for a window, where this palette is located. If this window is not visible, the editor opens it. The specified palette stays active.

Palettes are located on the following windows:

-- Format Window: Filling, Outline, Shadow.

--Text Window: Text Style, Text Effects.

-- Properties Window: General, Properties.

-- Layers Window: Layers, Image Library.


Filling Palette

The Filling palette applies to the following objects: rectangle, closed line, and ellipse objects. For text objects, a color can be changed from the Text Style palette.

Example of the Filling Palette

The items of the Filling Palette have the following meaning:

None: | An object is transparent.
Solid: | A fill with the single foreground color should be applied.
Blend: | A fill with a gradient, which spans from Foreground to Background color. The blend filling can be: Linear, Circle, or Diamond. For further information refer to the section titled Setting Blend Options.
Angle of blending: | An angle can be set either by dragging arrow around the object center or by specifying the angle in degrees.
Pattern: | A fill with a specified pattern that combines Foreground color with Background color. This option is not available for text fragments. Pattern filling can be Vertical, Horizontal etc.
Image: | A fill with a specified image. An image is selected using the standard Load Image dialog by clicking Browse. For more information see the section titled Setting Images.

The palette also contains the control for selection of Background and Foreground colors.


Outline Palette

Example of the Outline Palette

The Outline Palette applies to a line, text, rectangle, spline, polyline, and ellipse. The Outline Palette elements are described in the table that follows:

Line style: | You are allowed to select the following line styles - No Line, Solid line, Dash (- - - -), Dash Dot (_._._._), Dash Dot Dot (_.._.._), or Dot (. . . . .).
Thickness: | Allows you to adjust a line thickness selected from the combo box (in points).
Color: | Allows you to adjust a line color selected from the combo box.


Shadow Palette

Example of the Shadow palette

The Shadow palette applies to rectangle, closed line, ellipse, image and text objects. For text objects the shadow settings are applied to the text. The items of the Shadow palette have the following meaning:

Offset: | Defines a shadow length in current units.
Angle: | An angle can be set either by dragging the arrow around the object center or by specifying the angle in degrees.
None: | An object is transparent.
Solid: | A fill with a single foreground color should be applied.
Blend: | A fill with gradient, which spans from Foreground to Background color. The blend filling can be: Linear, Circle, or Diamond. You can also define the angle of blending. For further information refer to the section titled Setting Blend Options.
Pattern: | A fill with a specified pattern, which combines Foreground and Background color. Pattern filling can be Vertical, Horizontal etc.
Image: | A fill with a specified image. An image is selected using the standard Load Image dialog by clicking Browse. For more information see the section titled Setting Images.

The palette also contains a control for selecting the Background and Foreground colors.


Text Style Palette

Example of the Text Style palette

The Text Style Palette applies to text objects. You are allowed to change the font settings for a selected text fragment. The Text Style Palette elements are described in the table below:

Text:

Contains the text fragment as you enter it.

Font Face Name:

Contains the list of available fonts.

Font Sizes:

Contains the list of useful font sizes measured in points. User can enter a size from 2 to 200 pt and even more.

Standard style buttons for styles:

Bold, Italic, Underline, Strikethrough.

When clicked switches selected text fragment between capital and lower case letters.

Allows you to define the color for foreground, background or shadow, if the text is simple text (without text effects).

If you work with text effects, you can define the color for outline, fill or shadow.

In any case when you select one of the values mentioned above from the list by clicking the arrow on the right, the Color pane is displayed as shown here.

Allows you to align selected text left, center or right by clicking the arrow on the right.

The palette also contains an additional menu, which is called with the help of the Actions button on top of the palette. The menu contains the following items:

-- More options: This command displays a dialog, which is similar to the Text Properties dialog. For more information see the sections titled Managing Object Properties and Managing Text Properties.

With the Text Style palette you are allowed to use the shortcut menu pictured below. It's elements are described as follows.

Copy: | Allows you to copy the selected text into Clipboard
Paste: | Allows you to paste the text from Clipboard into the Work Area
Paragraph: | When clicked displays the Paragraph dialog. The dialog allows to change properties of the selected paragraph. For details refer to the section titled The Paragraph Dialog.
Numbering: | When clicked displays the Numbering dialog. The dialog allows to organize the text by numbering the text items. For details refer to the section titled The Numbering Dialog.


Text Effects Palette

Example of the Text Effects palette

The Text Effects palette applies to text objects. It looks like a scrollable list with thumbnails of possible effects. The following effects are supported: Simple (text "as is"), Curved Text, Perspective Right, Perspective Left, Perspective Top, Perspective Bottom, Balloon, Squeeze, Round Text Top, Round Text Bottom, Top Arch, Bottom Arch, Arch Up, Arch Down, Double Arch Up, Double Arch Down, Angle Up, Angle Down, Pennant Right, Pennant Left, Top Arc, Bottom Arc, Circle Text, Button Text, Guided Text Up, Guided Text Down, Spiral Text, Galaxy Text. The Text Effects palette contains thumbnails with samples of different text effects. Select the thumbnail you prefer.

Note: For every text effect appropriate parameters appear.


General Palette

Example of the General palette

The General Palette exists for and is applicable to every object. Its items have the following meaning:

Object: | Displays the object type, which cannot be editable.
The Lock/Unlock button: | Allows you to lock/unlock object. This prevents any changes until the object is unlocked.
Layer: | Displays the current layer. To change it select another layer from this combo box.
Rotation: | Allows you to rotate an object on an angle set by the control at the right.


Properties Palette

Example of the Properties palette

The Properties palette contains specific object information. For all objects this palette contains information about object location. In the current version only the Rectangle object includes an additional property on the page: the round corners value in points.

The Properties palette contains the following information:

-- For Ellipse, Image and Text:

x, y: | Define the coordinates of the object center.
Width, Height | Define the width and height of an object.

-- For Rectangle:

x, y: | Define the coordinates of the rectangle center.
W idth, Height: | Define the width and height of a rectangle.
Round Corner: | Select this check box if you wish to have round corners. The Width and Height boxes define the rounding for the rectangle width and height.

-- For Line and OLE-object: The palette displays the following notification: No properties for this object are available.


Layers Palette

The layering feature of the Label Editor provides additional flexibility for organizing and editing the objects while drawing them. You can divide the drawing process into multiple layers, each containing a portion of the drawing's contents, as well as organizing the design of various components (images, shapes, etc) by placing them on separate layers.

Then you can use the Layer Manager to view, print, or edit specific layers or combinations of layers. Together, layers act as a hierarchy that helps to determine the vertical arrangement of a drawing's components. In this arrangement (the stacking order), objects on the top layer always overlay objects on the layer below.

Example of the Layers palette

1. Open the Layers palette.

2. The palette includes the list of existing layers. This list is multi-selection enabled. The list presents an icon for each property of the layer. You can change the property directly in the cell in which the property icon is represented. The following columns are available:

(Visible:) | When clicked turns the layer on (it will be visible) and off (it will be invisible). In the last case this icon is grayed.
(Print:) | When clicked turns the layer on (it will be printable) and off (it will be unprintable). In the last case this icon is grayed.
(Edit:) | When clicked turns the layer on (it will be editable) and off (it will be disabled). In the last case this icon is grayed.
(Active:) | This flag indicates that new objects can be placed in the current layer.
(Layer Name:) | When clicked the name of the layer, it becomes an edit field.

At any time there can be only one active layer. Created objects are assigned to this active layer. Any existing object can either be selected by mouse or by the Select All command on any layer (if the layer is editable) whereas the selected object is not located on the active layer.

The Standard "actions" button on the palette window displays the following pop-up menu:

-- New Layer: With this command, you can add a new layer to the top of the layers list. The default name for new layer is "Layer<N>". Other default properties: Visible - on, Print - on, Editable - on, Color - not specified, Active - on.

-- Delete Layer: Using this command the user can delete one or more currently selected layers. Entities lying on those layers are deleted as well. If there are objects to be deleted, a confirmation message appear Removing this layer(s) will delete all objects belonging to it. Remove the layer(s)? The message box has the Yes and No buttons. All changes will come into effect when you click Yes.

You can change the layer in the General palette or in the General tab of the Object's Properties dialog.


Image Library Palette

This palette contains a scrollable list of small thumbnails, which correspond to Image Library images. Initially, this list displays the top level of catalog hierarchy - names and thumbnails of catalogs. The user can scroll down into the catalog and navigate between images so as to be able to finally select any image and insert it onto the label.

Example of the Image Library Palette

The actions menu contains the following items:

-- Show names: If selected, the thumbnails will display along with the names of their corresponding images.

-- More: This command opens the Clip Art list.


Shortcut Menu for Text

When working with a project you can use shortcut menus on such objects as text, line, rectangle, image, and ellipse.

To display shortcut menu for a text:

* Using the Selection Tool ( [image]) select a text you want to work with and right-click it. The shortcut appears as shown in the example below:

Example of Shortcut Menu for Text

The shortcut menu elements are described below:

Cut: | When clicked places selected text into Clipboard and deletes it from your design.
Copy: | When clicked places selected text into Clipboard.
Paste: | When clicked places text from Clipboard into the insertion point.
Delete: | Allows you to remove selected text from your design.
Bring to Front | Allows you to place selected text on the top of other objects. For details refer to the section titled Manipulating Object Position.
Send to Back | Allows you to place selected text on the bottom of other objects. For details refer to the section titled Manipulating Object Position.
Move Up | Allows you to place selected text one level up within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.
Move Down | Allows you to place selected text one level down within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.
Properties | Displays the Text Properties dialog, which allows you to view or change properties for text. For further information refer to the section titled Managing Text Properties.


Shortcut Menu for Lines

When working with a project you are allowed to use shortcut menus on such objects as text, lines, rectangles, images, ole-objects, and ellipses.

To display shortcut menu for a line:

* Using the Selection Tool ( [image]) select a line you want to work with and right-click it. The shortcut menu as shown in the example below appears.

Example of Shortcut Menu for Line

The shortcut menu for lines has the following elements:

Cut: | When clicked places the selected line into Clipboard and deletes it from your design.
Copy: | When clicked places the selected line into Clipboard.
Paste: | When clicked places a line from Clipboard into insertion point.
Delete: | Allows you to remove selected line from your design.
Bring to Front | Allows you to place selected line on the top of other objects. For details refer to the section titled Manipulating Object Position.
Send to Back | Allows you to place selected line on the bottom of other objects. For details refer to the section titled Manipulating Object Position.
Move Up | Allows you to place selected line one level up within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.
Move Down | Allows you to place selected line one level down within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.
Properties | Displays the Line Properties dialog, which allows you to view or change properties for a line. For further information refer to the section titled Managing Line Properties.


Shortcut Menu for Rectangles

When working with a project you are allowed to use shortcut menus on such objects as text, lines, rectangles, images, ole-objects, and ellipses.

To display shortcut menu for a rectangle:

* Using the Selection Tool ( [image]) select a rectangle you want to work with and right-click it. The shortcut menu as shown in the example below appears.

Example of Shortcut Menu for Rectangle

The shortcut menu for rectangles elements are described below:

Cut:

When clicked places the selected rectangle into Clipboard and deletes it from your design.

Copy:

When clicked places the selected rectangle into Clipboard.

Paste:

When clicked places a rectangle from Clipboard into insertion point.

Delete:

Allows you to remove a selected rectangle from your design.

Bring to Front

Allows you to place a selected rectangle on the top of other objects. For details refer to the section titled Manipulating Object Position.

Send to Back

Allows you to place a selected rectangle on the bottom of other objects. For details refer to the section titled Manipulating Object Position.

Move Up

Allows you to place selected rectangle one level up within the layer relatively other objects. For details refer to the section titled Manipulating Object Position.

Move Down

Allows you to place a selected rectangle one level down within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.

Convert to

This menu item contains the following sub-items:

-- Square: Allows you to convert a rectangle into a square. For more information refer to the section titled Converting Objects.

-- Polygon: Allows you to convert a rectangle into a polygon. For more information refer to the section titled Converting Objects.

-- Ellipse: Allows you to convert a rectangle into an ellipse. For more information refer to the section titled Converting Objects.

Properties

Displays the Rectangle Properties dialog, which allows you to view or change properties for a rectangle. For further information refer to the section titled Managing Rectangle Properties.


Shortcut Menu for Ellipses

When working with a project you are allowed to use shortcut menus on such objects as text, lines, rectangles, images, ole-objects, and ellipses.

To display shortcut menu for an ellipse:

* Using the Selection Tool ( [image]) select an ellipse you want to work with and right-click it. The shortcut menu as shown in the example below appears.

Example of Shortcut Menu for Ellipse

The items of the shortcut menu for ellipses have the following meaning:

Cut:

When clicked places the selected ellipse into Clipboard and deletes it from your design.

Copy:

When clicked places the selected ellipse into Clipboard.

Paste:

When clicked places an ellipse from Clipboard into the insertion point.

Delete:

Allows you to remove the selected ellipse from your design.

Bring to Front

Allows you to place the selected ellipse on the top of other objects. For details refer to the section titled Manipulating Object Position.

Send to Back

Allows you to place the selected ellipse on the bottom of other objects. For details refer to the section titled Manipulating Object Position.

Move Up

Allows you to place the selected ellipse one level up within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.

Move Down

Allows you to place the selected ellipse one level down within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.

Convert to

This menu item contains the following sub-items:

-- Rectangle: Allows you to convert an ellipse into rectangle. For more information refer to the section titled Converting Objects.

-- Circle: Allows you to convert an ellipse into circle. For more information refer to the section titled Converting Objects.

Properties

Displays the Ellipse Properties dialog, which allows you to view or change properties for an ellipse. For further information refer to the section titled Managing Ellipse Properties.


Shortcut Menu for Image

When working with a project you are allowed to use shortcut menus on such objects as text, lines, rectangles, images, ole-objects, and ellipses.

To display shortcut menu for an image:

* Using the Selection Tool ( [image]) select an image you want to work with and right-click it. The shortcut menu as shown in the example below appears.

Example of Shortcut Menu for Image

The shortcut menu elements for images are described below:

Cut: | When clicked places the selected image into Clipboard and deletes it from your design.
Copy: | When clicked places the selected image into Clipboard.
Paste: | When clicked places an image from Clipboard into the insertion point.
Delete: | Allows you to remove the selected image from your design.
Bring to Front | Allows you to place the selected image on the top of other objects. For details refer to the section titled Manipulating Object Position.
Send to Back | Allows you to place the selected image on the bottom of other objects. For details refer to the section titled Manipulating Object Position.
Move Up | Allows you to place the selected image one level up within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.
Move Down | Allows you to place the selected image one level down within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.
Properties | Displays the Image Properties dialog, which allows you to view or change properties for an image. For further information refer to the section titled Managing Image Properties.


Shortcut Menu for OLE-objects

When working with a project you are allowed to use shortcut menus on such objects as text, lines, rectangles, images, ole-objects, and ellipses.

To display shortcut menu for an ole-object:

* Using the Selection Tool ( [image] ) select an ole-object you want to work with and right-click it. The shortcut menu as shown in the example below appears.

Example of Shortcut Menu for OLE-object

The shortcut menu elements for images are described below:

Cut: | When clicked places the selected ole-object into Clipboard and deletes it from your design.
Copy: | When clicked places the selected ole-object into Clipboard.
Paste: | When clicked places an ole-object from Clipboard into insertion point.
Delete: | Allows you to remove the selected ole-object from your design.
Bring to Front: | Allows you to place the selected ole-object on the top of other objects. For details refer to the section titled Manipulating Object Position.
Send to Back: | Allows you to place the selected ole-object on the bottom of other objects. For details refer to the section titled Manipulating Object Position.
Move Up: | Allows you to place the selected ole-object one level up within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.
Move Down: | Allows you to place the selected ole-object one level down within the layer relative to other objects. For details refer to the section titled Manipulating Object Position.
Action: | This menu item contains the following sub-items: -- Edit Object: When selected allows you to edit the ole-object created earlier. -- Open Object: When selected allows you to work with the ole-object in the corresponding ole-application.
Properties: | Displays the OLE Object Properties dialog, which allows you to view or change properties for your ole-object. For further information refer to the section titled Managing OLE-object Properties.


Editing of MediaFACE II Project Converter Mapping

All MediaFACE II Project Converter maps defined by User-aided Mapping and saved into the converter's map can be edited in the Select Labels to Use for the Project dialog.

Note: Refer to the section titled MediaFACE II Project Opening to learn how to define and save the User-aided Mapping.

To edit the saved User-aided maps:

1. Select Edit MF2 to MF4 labels mapping in the Tools menu. The Select Labels to Use for the Project dialog opens as shown below.

2. Select a MediaFACE II project in the MediaFACE II Project combo box. MediaFACE II labels presented in the selected project and previously defined maps to MediaFACE 4.0 labels for these labels will appear in the list box under the MediaFACE II Project combo box.

3. UnMap and Map to another label work the same way as for the User-aided Mapping on project opening. Refer to the section titled MediaFACE II Project Opening for details.

4. Click Done to close the Select Labels to Use for the Project dialog and save the changes. Or click Cancel to close the dialog and cancel the changes you made.


MediaFACE II Project Opening

When the user selects a project created by with MediaFace II to open in MediaFACE 4.0, the corresponding plug-in is used to convert the project to the MediaFACE 4.0 format. Depending on the initial MediaFACE II template with which the project is created, it may go through several stages:

1. Silent Conversion. First of all, the converter tries to find the appropriate mapping for all the labels the project contains. If it is successfull, the converter maps the MediaFACE II labels to those of the new format and transfers all the objects and shapes from the project into the new one and the newly created project is opened in the application.

2. User-aided Mapping. In the case, when the proper set of labels is not found for the MediaFACE II project the converter shows the Mapping dialog to allow the user to select the MediaFace 4.0 labels to use for the initial project. The dialog looks as follows:

Here the user is presented with two sections: in the upper part of the window, the source MediaFACE II project labels list and their representation and the list of all the MediaFace 4.0 labels and their corresponding representation at the bottom of the dialog. The user may select one or more labels from the project and see how they look together in the area to the right. The user also selects a label in the lower list of MediaFace 4.0 labels (only one label at a time may be selected) and sees its representation to the right of that list with exactly the same scale factor as the source project labels are shown. The user searches the exact match between the set of one or more MediaFACE II labels from the project and one label of MediaFace 4.0. As the user finds one, press the "Map!" button (or hit Enter) and the mapping will be shown in the list of MFII labels - the second column in the list will show the MediaFace 4 label name for all the MediaFACE II labels, which are mapped to it in the following form:

<group number> : <MediaFace 4.0 label name>

Here <group number> is the number to distinguish between the sets of MediaFACE II labels mapped to the same MediaFace 4.0 label - the fact that the number is the same for two MediaFACE II labels means they both will be mapped to a single label as opposed to those with different group numbers.

The user may also remove some wrong mapping by selecting it (its sufficient to select a single label in a group to un-map the entire group) and pressing "UnMap" button. If the selected label is mapped within a group the following warning message will be shown:

And if user presses "OK", the entire group will be unmapped.

The user may also select some of those labels, which are already mapped and try to map them again. In this case the warning message similar to the following will be displayed:

If the user answers "Yes", the label will be unmapped (with appropriate message prior to real un-mapping in case when this label is mapped within a group).

If the user can't find any mapping for the project labels he may press "No" button (or hit ESC). He will be prompted with the following question:

If he answers "Yes" the project will be converted with all the labels mapped to a new single label with their bounds defining the clipper bounds of that new label. If the users answers "No" the project will not be converted (and opened) at all. The user may also answer "Cancel" in the case when he's pressed "Cancel" or ESC by mistake or just has changed his mind and is going to look for a mapping once more.

Lastly, when the user has found the appropriate mapping for all the project labels he may press "Done" to proceed with the conversion. The user may also set the "Save for future use" check-box (set by default) the mapping is saved into the converter's map and next time the user tries to open MediaFACE II project with the same set of labels, it is converted and opened automatically.

3. Final conversion. In the case, when during the User-aided Mapping stage the user has found the appropriate mapping the converter works exactly the same way as in the Silent Conversion stage with the only difference that it does not look for the mapping as it is already specified by the user. On the other hand, if the user has decided to convert the project "as is" - to create new single labels with clipper bounds as those of all the initial project label - the converter creates that label and imports all the project objects and shapes into it.

Note: The User-aided maps saved for future use can be viewed and edited later on. Refer to the section titled Editing of MediaFACE II Project Converter Mapping for details.


Integration with Burners

MediaFACE 4.0 label maker can be launched when you are working within a media burner application to make a label for the created media. The following burner applications are supported: Stomp Click'N Burn Pro 2.0; Gear Pro DVD 6.0; Iomega HotBurn Version 2.2.2; Nero Burning Rom 5 (ver.5.5.6.0, ver.5.5.7.6 and ver.5.5.8.2); NTI CD-Maker Deluxe (ver.5.0.0.15); Oak SimpliCD 1.3.0 (including SimpliCD Copy and SimpliCD Recorder); Roxio Easy CD Creator 5.02d and 5.1 (including Project Selector, CD Copier, PhotoRelay, SoundStream, Video CD Creator).

Note: MediaFACE 4.0 integration components must be installed and the integration must be enabled in order to work with this feature. Follow the instructions in the section titled Integration Managing to change MediaFACE 4.0 Integration state.

MediaFACE 4.0 can be launched from within the supported burner application in two ways: when the "native" label maker is launched from within the supported burner application, or when media burning is completed.

To start MediaFACE 4.0 instead of the "native" label maker of the burner application:

Click the appropriate menu item or button to start the "native" label maker of the supported burner application when you are working within the application. The MediaFACE 4.0 integration dialog appears with the elements discussed below.

Do not show this message again: | Select this check box if you do not want the dialog to appear each time you start the "native" label maker of the supported burner application.
Yes: | When clicked closes the dialog, launches the New Project wizard (step 1) and makes MediaFACE 4.0 default label maker for the current burner application. Once you clicked Yes the integration dialog will not appear anymore and MediaFACE 4.0 will be started instead of "native" label maker each time you launch the label maker from within the current burner application.
No: | When clicked closes the dialog and launches the "native" label maker of the burner application.

To start MediaFACE 4.0 after media burning is completed:

When media burning is completed, click the appropriate button to close "burning completed" message of the supported burner application. The MediaFACE 4.0 integration dialog appears with the elements discussed below.

Do not show this message again: | Select this check box if you do not want the dialog to appear each time you close "burning completed" message of the supported burner application. If you selected the check box and clicked Yes the integration dialog will not appear anymore and MediaFACE 4.0 will be started each time you close "burning completed" message of the current burner application.
Yes: | When clicked closes the dialog and proceeds with MediaFACE 4.0 launching.
No: | When clicked closes the dialog and launches the "native" label maker of the burner application.

If you click Yes in the above dialog, the next integration dialog appears with the elements discussed below.

Drive letter: | Select drive letter of the device with the burned media here.
Yes: | When clicked closes the dialog and launches the New Project wizard (step 1) with loading of content of the burned media. The loaded content appears in the New Project wizard (step 4) on the corresponding file list tab.
No: | When clicked closes the dialog and launches the New Project wizard (step 1) without loading the content of the burned media.

To proceed with the project creation refer to the section titled Creating Projects.

Note: MediaFACE 4.0 integration can be disabled any time to let the integrated burner applications function as usual. Follow the instructions in the section titled Integration Managing to change MediaFACE 4.0 Integration state.


Integration with Players

MediaFACE 4.0 label maker can be launched from within a media player to make a label for the players' playlists. The following players are supported: Windows Media Player 7.0; Nullsoft Winamp 2.78; J. River Media Jukebox 7.2.280; RealOne Player 6.0; MUSICMATCH Jukebox 7.0; Liquid Player Plus 6.1; MP3.com Plus Player 2.0a.

Note: MediaFACE 4.0 integration components must be installed in order to work with this feature.

Each of the supported players has its own menu items or buttons for loading playlists to MediaFACE 4.0. The subsequent process of launching MediaFACE 4.0 is the same for all supported players.

1. Use the elements of the supported players discussed below to launch MediaFACE 4.0 from within these players.

Create or open a play list in Windows Media Player 7.0. Select Now Playing tab of the player. Select the Create MediaFACE Label item of File menu as shown below to load current playlist into MediaFACE 4.0.

Create or open a playlist in Nullsoft Winamp 2.78. Right-click in the Playlist pane of the player. Click the Create MediaFACE Label item in the context menu as shown below to load current playlist into MediaFACE 4.0.

Create or open a playlist in J. River Media Jukebox 7.2.280. Select Tools - CD Labeler in the main menu of the player. The MediaFACE 4.0 integration dialog appears with the elements discussed below.

Do not show this message again: | Select this check box if you do not want the dialog to appear each time you start the "native" label maker of J. River Media Jukebox 7.2.280.
Yes: | Click this button to make MediaFACE 4.0 default label maker of J. River Media Jukebox 7.2.280 and load current playlist into MediaFACE 4.0. Once you clicked Yes, the integration dialog will not appear anymore and MediaFACE 4.0 will be started instead of "native" label maker each time you launch label maker from within J. River Media Jukebox 7.2.280.
No: | When clicked closes the dialog and launches the "native" label maker of J. River Media Jukebox 7.2.280.

Note: MediaFACE 4.0 integration must be enabled in order to work with this feature in J. River Media Jukebox 7.2.280. MediaFACE 4.0 integration can be disabled any time to let J. River Media Jukebox 7.2.280 function as usual. Follow the instructions at the section titled Integration Managing to change MediaFACE 4.0 Integration state.

Select My Library tab in Media Browser of RealOne Player 6.0. Open a playlist. Right-click in the playlist pane of Media Browser. Click the Create MediaFACE Label item of the context menu as shown below to load the selected playlist to MediaFACE 4.0.

Create or open a playlist in MUSICMATCH Jukebox 7.0. Select the tracks you wish to load into MediaFACE 4.0. Right-click in the playlist pane of the player. Click the Create MediaFACE Label item in the context menu as shown below to load the selected tracks into MediaFACE 4.0.

Create or open a playlist in Liquid Player Plus 6.1. Select Now Playing tab of the player. Right-click in the playlist pane of the player. Click the Create MediaFACE Label item of the context menu as shown below to load the selected tracks into MediaFACE 4.0.

Open Playlist window of MP3.com Plus Player 2.0a with the list of tracks you wish to load into MediaFACE 4.0. Click the button [image] on the tool bar of the window as shown below to load the selected tracks into MediaFACE 4.0.

2. After you clicking the menu item or button to launch MediaFACE 4.0 from within the supported player, the New Project wizard (step 1) opens and the playlist loads into MediaFACE 4.0. The loaded playlist appears on Playlist tab of the New Project wizard (step 4). To proceed with the project creation refer to the section titled Creating Projects.


Integration with Windows Explorer

MediaFACE 4.0 label maker can be quickly started from Windows Explorer.

Note: MediaFACE 4.0 integration components must be installed in order to work with this feature.

For MediaFACE 4.0 quick start right-click on the CD drive in Windows Explorer. Select the MediaFACE item in the context menu as shown below.

The New Project wizard (step 1) opens. To proceed with the project creation refer to the section titled Creating Projects.


Integration Managing

Managing Integration

The MediaFACE 4.0 integration state is set during the installation procedure.

If the MediaFACE 4.0 Integration is enabled the MediaFACE 4.0 Integration icon is displayed in the task bar as shown below.

You can disable the integration using the MediaFACE 4.0 integration icon context menu. Right-click the icon. The integration context menu appears as shown below.

Click Disable Integration in the menu. The MediaFACE 4.0 integration will be disabled and the integration icon disappears form the taskbar.

Also the MediaFACE 4.0 integration can be enabled again and disabled in the Options dialog. For details refer to the description of the Integration tab at the section titled Setting Options.

Note: MediaFACE 4.0 integration components must be installed in order to work with this feature.


Managing Lists

You are allowed to manage three kinds of lists: Play Lists, File Lists and Data Sources. You can work with these lists with the help of the List Manager dialog.

Example of the Lists Manager dialog for Play Lists

The List Manager dialog allows you to create, delete and modify these lists, which are stored in the internal database of the Editor. It contains the Available Lists tree, which includes three types of supported lists on its first hierarchy level: Play Lists, File Lists and Data Sources. The second level of the tree represents the list names. The right part of the dialog contains list specific information. When no items are selected on the tree, or when some first-level node is selected, the right pane of the dialog remains empty (or contains hint information). There are two buttons under the tree - New and Delete.

When you click New, a new item in the tree will be created under the currently selected first level tree node. If the second level node was selected, the new item will be of the same type, as the currently selected one. The new item will have a unique name generated by the application. This new item will be selected and the right part of dialog will display its properties.

If you click Delete, the following message appears: Do you really want to delete List <list Item name>? accompanied by two buttons - Yes, and No. If you choose Yes, the selected list will be removed. The previous node of the tree will be selected. If this list was used in the text fields of any design, no additional confirmation will be shown, and the corresponding text fields will be printed as empty strings.

If any first level node on the tree is selected, the Delete button is also enabled. If you click it, the following message appears: Do you really want to delete all [Play Lists|File Lists|Data S ources]? accompanied by two buttons - Yes and No. If you choose Yes, all lists under selected node will be removed. The first level node will remain selected.

The right pane is different for each type of the list set. For further information refer to the sections titled The Right pane for the Play Lists, The Right pane for File Lists, and The Right pane for Data Sources.


Setting Options

You are allowed to set system options with the Options dialog.

To set the options:

Select Options from the Tools menu. The application displays the Options dialog. It contains three tabs.

1. Select the General tab to set the General options.

Example of the General tab for Options

The General tab elements are described below:

Units: | From this combo box choose a measurement system. The possible options are: Inches, Metrics. Be sure that you use the needed measurement system!
Nudge step: | Defines the step for moving selected objects with the help of arrow keys on your keyboard.
Auto-backup every: | If this option is selected, you can change the auto-backup interval from 1 to 120 minutes.
Make backup on save: | When selected the editor makes a copy of the saved project with a project name and the .bak extension.
Launch Wizard on startup: | When selected the system launches the New Project wizard at startup. This check box is selected by default.

2. Click the Grid & Guidelines tab to set the Grid & Guidelines options.

Example of the Grid & Guidelines tab

The Grid & Guidelines tab elements are described below:

Show grid: | When selected the application shows the grids
Snap to grid: | Allows you to choose whether to turn the snapping of grids on or off.
Show guidelines: | When selected the application shows the guidelines.
Snap to guidelines: | Allows you to choose whether to turn the snapping of guidelines on or off.
Width: | Allows you to change the width of space between two neighboring grid lines.
Height: | Allows you to change the height of space between two neighboring grid lines.
Color: | Allows you to change the color of the guidelines.
Precision: | Enter the maximum distance for snapping objects to grids.
Color: | Allows you to change the color of the grids.
Show rulers: | Allows you to turn on/off rulers along the left and top borders.
Restore Default: | Click this button to load the default Grid and Guidelines settings.

3. Click the Web tab to set the Web options. This tab allows you to change the default internet environment.

Example of the Web tab for Options

The Web tab elements are described below:

URL: | Contains the list of currently known Internet addresses, which allow you to manage the Internet environment.
Description: | Contains descriptions of currently known Internet addresses, which allow you to manage the Internet environment.
New: | Click this button to create a new URL.
Modify: | Allows you to modify the currently selected URL. Alternatively you can double click the URL.
Delete: | Allows you to delete the currently selected URL. Alternatively you can press the Del key on the keyboard.
Set Default: | Moves selected URL to the top of the URL's list and set it as the default site to connect to.

When you click the New or Modify button, the Web Site dialog appears.

Example of the Web Site dialog

The Web Site dialog elements are described below:

URL: | Here enter a non-blank URL.
Description: | In this box enter text describing the current Internet address.

4. Select the Printing tab to set the Print options. Default paper size is specified during the installation procedure. This tab allows you to change the default paper size.

Example of the Printing tab for Options

The Printing tab elements are described below:

Letter paper (USA): | Select this option to print on the Letter paper.
A4 paper (Europe): | Select this option to print on the A4 paper.

5. Select the Integration tab to set the Integration options. The MediaFACE 4.0 integration state is set during the installation procedure. You can enable or disable the integration on this tab.

Example of the Integration tab for Options

The Integration tab elements are described below:

Enable Integration: | Select this option to enable the MediaFACE 4.0 Integration.
Disable Integration: | Select this option to disable the MediaFACE 4.0 Integration.

Note: MediaFACE 4.0 integration components must be installed in order to work with this feature.

6. To complete the operation click OK. The Options dialog will close. All the changes in the dialog will be applied.


Customizing Main Window

If desired, one can change the appearance of MediaFACE 4.0 main window.

To customize the main window:

Select the View - Toolbars - Customize command of main menu,

or right-click on menu or tool bar in MediaFACE 4.0 main window and select the Customize item in the context menu.

The Customize dialog appears. It has five tabs: Commands, Toolbars, Keyboard, Options, Menu.

1. Click the Commands tab to display it. The tab is displayed as in the example and contains the items discussed below.

Example of Customize dialog - Commands tab

Categories: | Select the category of commands you wish to view in the Commands list box.
Commands: | All commands of the category selected in the Categories list box are listed here.
Description: | Description of the command selected in the Commands list box is displayed here.
 | When clicked opens MediaFACE 4.0 Labels Editor Help.
Close: | Click this button to close the Customize dialog.

The Commands tab allows you to add commands to menu or tool bar. Select the command you wish to add in the Commands list box and drag'n'drop it onto the main window tool bar or into the menu. The selected command appears as menu item or button at the position you released the mouse button.

2. Click the Toolbars tab to display it. The tab is displayed as in the example and contains the items discussed below.

Example of Customize dialog - Toolbars tab

Toolbars: | All available tool bars are listed here. Select check boxes on the left of the toolbars you wish to be displayed in the main program window. Highlight the toolbar you wish to Reset, Rename or Delete here.
Reset: | Click this button to reset the toolbar highlighted in the Toolbars list box to default state. The operation is not available for newly created toolbars.
Reset All: | Click this button to reset all toolbars (except the newly created toolbars) to default state.
New: | Click this button to create a new toolbar. When clicked opens the Toolbar Name dialog. Define a name for the new toolbar and click OK in the Toolbar Name dialog to complete the operation. The newly created toolbar appears in the Toolbars list box.
Rename: | Click this button to rename the toolbar highlighted in the Toolbars list box. The operation is available for newly created toolbars only. When clicked opens the Toolbar Name dialog. Change the toolbar name and click OK in the Toolbar Name dialog to complete the operation.
Delete: | Click this button to delete the toolbar highlighted in the Toolbars list box. The operation is available for newly created toolbars only.
Show text labels: | Select this check box to show text labels of the buttons for the toolbar highlighted in the Toolbars list box.
 | When clicked opens MediaFACE 4.0 Labels Editor Help.
Close: | Click this button to close the Customize dialog.

3. Click the Keyboard tab to display it. The tab is displayed as in the example and contains the items discussed below.

Example of Customize dialog - Keyboard tab

Category: | Select the category of commands you wish to view in the Commands list box here.
Commands: | Select the command for editing its accelerator keys.
Description: | Description of the command selected in the Commands list box is displayed here.
Current Keys: | The accelerator keys currenly assigned to the command selected in the Commands list box are displayed here.
Press New Shortcut Key: | Select this text box and press the keyboard keys you wish to define as accelerator keys for the command selected in the Commands list box. The pressed keys will be reflected here.
Assigned to: | When keyboard keys are reflected in the Press New Shortcut Key text box, displays whether these keys are already assigned to any command.
Assign: | Click this button to assign the keyboard keys reflected in the Press New Shortcut Key text box to the command selected in the Commands list box. The button is disabled if the currently pressed keys are already assigned to another command.
Remove: | Click this button to remove accelerator keys assigned to the command selected in the Commands list box.
Reset All: | Click this button to reset all commands to default state.
 | When clicked opens MediaFACE 4.0 Labels Editor Help.
Close: | Click this button to close the Customize dialog.

4. Click the Options tab to display it. The tab is displayed as in the example and contains the items discussed below.

Example of Customize dialog - Options tab

Show Screen Tips on toolbars: | If selected, then the corresponding screen tips pop up each time you place mouse cursor over tool bar buttons.
Show shortcut keys in Screen Tips: | If selected, then screen tips for toolbar buttons contain shortcut keys for these buttons. Available if the Show Screen Tips on toolbars check box is selected.
Large Icons: | Select this check box to display toolbar buttons as large icons.
Menus show recently used commands first: | If selected, then the menus show only recently used commands when expanded.
Show full menus after a short delay: | If selected, then the full menu will be shown after a short delay when this menu is expanded. Available if the Menus show recently used commands first check box is selected.
Reset my usage data: | Click this button to delete the record of commands usage and restore the default set of visible commands in menus.
 | When clicked opens MediaFACE 4.0 Labels Editor Help.
Close: | Click this button to close the Customize dialog.

5. Click the Menu tab to display it. The tab is displayed as in the example and contains the items discussed below.

Example of Customize dialog - Menu tab

Show Menus for: | Select the menu set for editing here.
Reset (for Application Frame Menus): | Click this button to reset all menus to default state.
Menu Animations: | Select the animation effect for menu appearance.
Menu shadows: | When selected, menus are reflected with the shadow effect.
 | When clicked opens MediaFACE 4.0 Labels Editor Help.
Close: | Click this button to close the Customize dialog.

6. When you complete customizing the main window, click Close to close the Customize dialog.


Downloading Project's Components

When working with a project you are allowed to download its components from Web Back End.

To download project's components:

1. Select Download from the Tools menu. The Paper & Label Templates page of the Download dialog is displayed.

2. Select the download type you prefer. All server items are removed from the item list. The application goes to the server and gets brief information about all items of corresponding type. Then application compares the ID of each server item with the ID of local items. Thus, already existing IDs in the computer are marked as Local in the List view. IDs, which are absent on the local computer, are marked as Server.

3. When you finish downloading, click Close.


Printer Calibration

Each printer has its own specific offsets while printing. Printer Calibration allows to define calibration coefficients to compensate these offsets during printing.

To calibrate your printer:

1a. Do one of the following:

-- Select Print from the File menu,

-- Click [image] on the Standard Toolbar.

The Printing Plug-in 4.0 dialog is displayed. Click the Calibrate button.

1b. Select File - Calibrate Printer from the main menu.

1c. Select Start - Programs - MediaFACE 4.0 - MediaFACE 4.0 Calibration Wizard.

2. The Calibration wizard (screen 1) like shown in example below appears.

Example of the Calibration Wizard (screen 1)

3. Select one of the following options: Fellowes/Neato Calibration paper (special paper included in the kit) or Plain paper (if you don't have special paper) and click Next.

4a. If you selected the first option, the system displays the Calibration wizard (screen 2) like the one shown below.

Example of the Calibration Wizard (screen 2)

5a. Select a printer to calibrate and click Print. Follow the instructions on the printed paper. After entering the values click Done.

4b. If you selected the second option, the system displays the Calibration wizard (screen 3) like the one shown below.

Example of the Calibration Wizard (screen 3)

5b. Select a printer to calibrate, choose the paper type (Letter or A4) and click Print. Follow the instructions printed on the paper. After entering the values click Done.


Appendix A. Working with Functions

When working with the application you are allowed to use the following functions:

Format

String Format ([in] value, [in string] format_pattern)

This function returns a value, formatted according to the format pattern. For the value of DateTime formats are valid:

-- o l: Long Date representation appropriate for locale,

-- o s: Short Date representation appropriate for locale,

-- o MM: Month as decimal number (01 - 12),

-- o M: Full month name,

-- o m: Abbreviated month name,

-- o DD: Day of month as decimal number (01 - 31),

-- o YY: Year without century, as decimal number (00 - 99),

-- o YYYY: Year with century, as decimal number,

-- o W: Full weekday name,

-- o w: Abbreviated weekday name,

-- o hh: Hour in 24-hour format (00 - 23)

-- o h: Hour in 12-hour format (01 - 12),

-- o p: Current locale's A.M./P.M. indicator for 12-hour clock,

-- o mm: Minute as decimal number (00 - 59),

-- o ss: Second as decimal number (00 - 59).

MaskFormat

String MaskFormat([in String] value, [in string] mask_format)

String MaskFormat([in numeric] value, [in string] mask_format)

This function returns string value, masked according the mask_format. This function replaces all symbols "0" and "#" in the mask_format to digits from incoming value. For example:

MaskFormat('7-095-79020-27 (cellular)', '+# (###) ###-##-##') returns +7 (095) 790-20-27

Serial

String Serial ([in int] Min_Value, [in int] Max_Value, [in] Current_Value, [in] Increment, [in] ZeroFill)

This function should return Current_Value. After each printing this Current_Value is incremented by IncrementValue. After incrementing, this new value is placed into the parameter of this function in the field code. Parameters have the following meaning:

-- Min_Value: The minimal value.

-- Max_Value: The largest value the field should be allowed to increment to before it is reset to the minimum value.

-- Current_Value: The current value of the field.

-- Increment: The number that should be added to the field to increment it.

-- ZeroFill: This will zero fill the number (i.e. 0000001 instead of 1). Is equal to "yes" or "no".

Trim

String Trim ([in String])

Returns value without beginning and ending spaces

UCase

String UCase ([in String])

Returns value with upper case letters.

LCase

String LCase ([in String])

Returns value with lower case letters.


Appendix B. Technical Support

If you have some questions regarding the product or are facing a technical difficulty, please contact Technical Support using the emails/telephones provided below. If contacting by email, please attach information such as screen shots, and a detailed description of situation.

MediaFACE Technical Support

Telephone:

1-866-775-7860

1-800-984-9800

E-mail:

feltech@neato.com

techsupport@neato.com

Note: You can use the Tech Support operation from the Help menu or the Ctrl+Shift+M shortcut to contact MediaFACE 4.0 support team via e-mail. For details refer to the description of the Tech Support operation in the section titled Menu Summary.


Data Prepared by the Wizard


Data Source wizard

The MediaFACE 4.0 application realizes interaction with different databases via an ODBC mechanism. It allows data import from external sources (Oracle, MS SQL, MS Access databases). It is possible to set-up different Data Sources in List Manager using existing DSNs and to create new ones. Data that appears as a result of interaction with a database corresponds to query conditions that have been set at the Data Source creation stage. Use commas for separating files.

The Data Source wizard is launched from the Lists Manager dialog with one of the source nodes selected.

Example of the Lists Manager dialog for Data Sources

To import data from an external source:

1. In the Lists Manager dialog click the New button. The application displays the Data Source wizard (screen 1), which allows you to define a connection string. You are allowed to enter this string directly (if you are an experienced user) or with the help standard ODBC mechanism by clicking Select.

Example of the Data Source wizard (screen 1)

2. When you fill in a connection string with corresponding information click Next. The application displays the Data Source wizard (screen 2) as shown in the example below. Here you have to choose a table from the Table combo box and select columns for your query from the Available columns list.

Example of the Data Source wizard (screen 2)

3. Click Next. The application displays the Data Source wizard (screen 3) as shown in the example below. This screen fully explains how to filter data if any.

Example of the Data Source wizard (screen 3)

4. Click Next. The application displays the Data Source wizard (screen 4) as shown in the example below. This screen specifies information sorting preferences, if any.

Example of the Data Source wizard (screen 4)

5. Click Next. The application displays the Data Source wizard (screen 5) as shown in the example below. On this step the application prepares all the information required for generating the Data Source. If you want to check how the application prepared data click Test. You can view data prepared by the wizard.

Example of the Data Source wizard (screen 5)

6. Click Finish to complete the operation. If the data source was finished successfully, the data source list in the Lists Manager dialog will contain all fields, which are extracted from the data source.


Example of Customize dialog - Commands tab


Example of Customize dialog - Keyboard tab


Example of Customize dialog - Menu tab


Example of Customize dialog - Options tab


Example of Customize dialog - Toolbars tab


Example of Shortcut Menu for Ellipse


Example of Shortcut Menu for Faces


Example of Shortcut Menu for Image


Example of Shortcut Menu for Labels


Example of Shortcut Menu for Line


Example of Shortcut Menu for OLE-object


Example of Shortcut Menu for Projects


Example of Shortcut Menu for Rectangle


Example of Shortcut Menu for Text


Example of Shortcut Menu for Versions


Example of the Add Label dialog


Example of the Add Project Item dialog


Example of the Audio CD dialog


Example of the Calibration Wizard (screen 1)


Example of the Calibration Wizard (screen 2)


Example of the Calibration Wizard (screen 4)

Example of the Calibration Wizard (screen 3)


Example of the Data Source wizard (screen 1)


Example of the Data Source wizard (screen 2)


Example of the Data Source wizard (screen 3)


Example of the Data Source wizard (screen 4)


Example of the Data Source wizard (screen 5)


Example of the Export Options dialog


Example of the Face and Face Versions Properties dialog


Example of the Filling Palette


Example of the Filling tab for Ellipses


Example of the Filling tab for Lines


Example of the Filling tab for Rectangles


Example of the Filling tab for Text


Example of the Function dialog


Example of the General palette


Example of the General tab for Ellipse


Example of the General tab for Options


Example of the General tab for Play Lists


Example of the General tab for text


Example of the General tab for Version Template Options


Example of the Get External Picture (Camera)


Example of the Get External Picture (Data Source)


Example of the Get External Picture (Scanner)


Example of the Get External Picture (Webcam)


Example of the Grid and Guidelines tab


Example of the Image Effects dialog


Example of the Image Library dialog


Example of the Image Library list


Example of the Image Library Palette


Example of the Insert Bar Code Wizard (Step1)


Example of the Insert Bar Code Wizard (Step2)


Example of the Insert Bar Code Wizard (Step3)


Example of the Insert Bar Code Wizard (Step4)


Example of the Insert Data from the Data Source dialog


Example of the Insert Filelist dialog


Example of the Insert Image dialog


Example of the Insert Object dialog (Create from file)


Example of the Insert Object dialog (Create New)


Example of the Insert Playlist dialog


Example of the Insert Version as Copy dialog


Example of the Integration tab for Options


Example of the Item Properties dialog


Example of the Label Properties dialog


Example of the Layers palette


Example of the Layout tab for Version Template Options


Example of the Lists Manager dialog for Data Sources


Example of the Lists Manager dialog for File Lists


Example of the Lists Manager dialog for Import of play lists


Example of the Lists Manager dialog for Play Lists


Example of the Main Window


Example of the Move Component dialog


Example of the New Project wizard (step 1 - Themes)


Example of the New Project wizard (step 1 - Types)


Example of the New Project wizard (step 2 - Camera)


Example of the New Project wizard (step 2 - File)


Example of the New Project wizard (step 2 - Library)


Example of the New Project wizard (step 2 - Scanner)


Example of the New Project wizard (step 2 - Webcam)


Example of the New Project wizard (step 3 - Library)


Example of the New Project wizard (step 4 - Custom)


Example of the New Project wizard (step 4 - File List)


Example of the New Project wizard (step 4 - Play List)


Example of the OLE Object tab


Example of the Outline Palette


Example of the Outline tab for Ellipses


Example of the Outline tab for Lines


Example of the Outline tab for Rectangles


Example of the Outline tab for Text


Example of the Paper & Label Templates page


Example of the Predefined Text dialog


Example of the Printing Plug-in dialog


Example of the Printing tab for Options


Example of the Project Properties dialog (Custom)


Example of the Project Properties dialog (General)


Example of the Project Properties dialog (Summary)


Example of the Properties palette


Example of the Properties tab for Ellipses


Example of the Properties tab for Images


Example of the Properties tab for Rectangles


Example of the Properties tab for Text


Example of the Save As dialog (for Version Templates)


Example of the Select Data Source dialog


Example of the Select Playlist for Import dialog for Liquid Player


Example of the Select Playlist for Import dialog for Media Jukebox Player


Example of the Select Playlist for Import dialog for MP3.com Plus Player


Example of the Select Playlist for Import dialog for MUSICMATCH Jukebox Player


Example of the Select Playlist for Import dialog for RealOne Player


Example of the Select Playlist for Import dialog for Winamp


Example of the Select Playlist for Import dialog for Windows Media Player


Example of the Shadow palette


Example of the Shadow tab for Ellipses


Example of the Shadow tab for Lines


Example of the Shadow tab for Rectangles


Example of the Shadow tab for Text


Example of the Share Version dialog


Example of the Song List dialog


Example of the System with the Bitmap Object Inserted.


Example of the Text Effects palette


Example of the Text Effects tab for Text


Example of the Text Style palette


Example of the Tracks tab for Play Lists


Example of the Version Name dialog


Example of the Web Site dialog


Example of the Web tab for Options


Example of the Work Area with an Image Inserted


Setting Blend Options

You can set blend options for lines, ellipses, rectangles and text in the Filling tab and Shadow tab of the corresponding Properties dialogs. For example, if you deal with an ellipse, the Filling tab allows you to fill in the ellipse body, the Shadow tab - to fill the ellipse shadow. When you choose the Blend option, you can select one of the gradient spanning modes. If brightness is increased from left to right as shown in the picture below (the Linear blend), you can modify its gradient angle. The Filling tab (for ellipses) is displayed below.

If brightness is increased from the center to the edges as shown in the picture below (the Circle blend), you can modify the blend parameters discussed below.

Radius: | Defines the area where blending takes place (in the image borders). This value may be in the range from 0 to +1.
Center X: | Defines placement of the image center along the X-axis. This value may be in the range from -1 to +1.
Center Y: | Defines placement of the image center along the Y-axis. This value may be in the range from -1 to +1.

If brightness is increased from the center as shown in the picture below (the Diamond blend), you can modify all the parameters described above.

Note: The blend parameters are measured in the relative units.


Setting Images

You are allowed to transform an image in several ways. This determines how the image is oriented as it is repeated in a rectangular grid. You can make all the tiles in the grid have the same orientation, or make the image flip from one grid position to the next. The flipping can be horizontal, vertical, or both.

The icons of the image set have the following meaning:

Icon | Meaning
 | When selected the application carries out the Tile operation under an image.
 | When selected the application carries out the Tile (Flip Columns) operation under an image.
 | When selected the application carries out the Tile (Flip Rows) operation under an image.
 | When selected the application carries out the Tile (Flip Columns + Rows) operation on an image.
 | When selected the application displays an image in the normal mode.

Example of image transformation:

An image in the normal mode | An image after using the Tile operation


The Add Label dialog

Example of the Add Label dialog

The items of the Add Label dialog have the following meaning:

Name: | Enter a label name in this box.
Template: | From the combo box choose the predefined template.
Description: | Enter any text describing the label
Page Preview: | Displays the preview of the template.
Printable: | When selected a label can be printed.
OK: | When clicked adds a new label to the currently selected project item in the project tree, and the new label becomes selected.
Cancel: | You are allowed to cancel the operation by clicking this button or by pressing the ESC key. In any case the operation will be cancelled.


The Download dialog

Example of the Paper & Label Templates page

On this page the Download Toolbar at the left has the icons discussed below, which define download types: Paper & Label Templates, Project Templates, Version Templates, Plugins, Image Library, and Skins.

The items of the Download dialog have the following meaning:

 Heading: Displays the name of the Server. This text displays the used name of the Web Server from the Options dialog.

 Toolbar with elements:

-- Back: This button allows you to go to a parent category if drilling down into any category. This button is disabled if none of the categories is opened.

-- Show/hide Local items: When items on the list are selected, the local (previously downloaded or installed) items are shown.

 Items List View with check boxes: This list contains items of selected download type. By default, all check boxes are cleared. Because all types of download can be organized by nested catalogs on the server, but only the Image Library is catalogued on client side, there is the following convention:

-- For all download types except Image Library, currently downloaded items are placed into the "Root" of the list - the user can see them in the "Flat" list.

-- Image Library items (server and local) are located in catalogos. A catalog - is the item in the List View with a "Folder" icon. You can drill down into catalog by double clicking in this item and go back to parent catalog by clicking the Back button on toolbar.

-- When a connection with the server is established and brief item information is delivered to the client, these server items are placed into the catalogos.

-- You can navigate between catalogos and check in/out items and categories.

-- You can see the size of category (in the information pane) when this category is selected from the list.

-- For Image Libraries, downloaded items remains in the catalog. Other items are moved into "Root" or the list.

Note: You can check/uncheck items within currently opened category by mouse clicking or by the List View shortcut menu with commands - Select All and Unselect All.

 Download: This button allows you to download the checked items from the server. During downloading the progress bar appears and status messages are displayed in the status bar. An item is downloaded from the server to the position where it was found. If a server item cannot be downloaded, the item icon is marked with a Red Cross. If a server item was downloaded, its mark clears and an icon becomes "local". For non- Image Library items these items are moved to the Root of the List.

For Image Library images already local, images are not downloaded (updated). During downloading this button is changed to Stop; the Refresh button is disabled. If after downloading some items cannot be placed into the destination folder (storage) if there is a locking conflict (for example, in the case of updating plug-ins), the editor will notify the user: Some items cannot be installed in MediaFACE 4.0 environment now. Application will try installing them in the next working session.

 Close: When clicked closes the dialog.

 Status bar:. Contains two panes - Status information and progress bar for any server operations. Available messages, which can appear in the status bar:

-- Connecting to Server Name,

-- Querying Server Name,

-- Receiving results from Server Name,

-- Getting item with ID: ItemID,

-- Closing connection from Server Name.


The Face and Face Versions Properties dialog

Example of the Face and Face Versions Properties dialog

The items of the Face/Version Properties dialog have the following meaning:

Face Name: | Displays the current face name.
Version Name: | Contains the list of all versions of the current label. If the dialog is launched from the version context, the current version is selected. You can select another version from the list and set properties for it.
Rename: | Allows you to rename the version. The system displays the Version Name dialog like shown in example below when you click this button. Example of the Version Name dialog
Default: | This check box allows you to set any version as the default one. Only the default version will be printed when the entire project is sent to the printer. When a particular version is selected as the default, the check box for the previous default version will be cleared. You have to mark one of the versions as the default one.
Shared: | This check box is enabled only when the selected version has been shared. You can clear this option so as to break an existing link. After saving changes the unshared versions become separate copies of one another.
Background: | This panel allows you to change background for the currently selected version. This panel contains standard controls for setting filling with one exception: filling with Image may be centered or fitted.
OK: | When clicked, the changes take effect and the dialog is closed.
Cancel: | If you click this button or close the dialog by pressing the ESC key, the operation will be cancelled.
Apply: | When clicked, the changes will take effect.


The Insert Bar Code Wizard

This wizard allows you to adjust parameters for a new bar code object. The Wizard has four steps. All steps contain the Sample preview control, which displays bar code with the currently selected settings. If any settings have not been entered, the default settings will be used.

Step 1. General

Example of the Insert Bar Code Wizard (Step1)

On this step you have to choose the type of Bar Code and enter encoded data. The items of the Insert BarCode wizard have the following meaning:

Bar code type (symbology): | Indicates the type of the bar code to be generated. The chosen symbology depends on your needs and influences the type of data that can be encoded and how the printed result looks like. Not all bar code types are able to represent alphanumeric data; some can only represent digits (or additionally represent limited special characters like “/” or “*”). This combo box allows you to select one of the following available options: Codabar, Code 128, Code 128 A, Code 128 B, Code 128 C, Code 39, Code 93, Data Matrix, EAN/UCC-128 Composite, EAN/UPC Composite, Interleaved 2 of 5, MSI Plessey, PDF 417, QR Code, UCC-128, UPC-A, UPC-E (11 digit), UPS MaxiCode, or Zip+4 POSTNET.
Encoded Data: | Contains the value (letters, digits and special characters) that should be represented as a bar code. The graphic result depends on the selected bar code type. If the encoded data is invalid for the selected symbology, an " X " is displayed together with an error code and a short description instead of the bar code.
Back Style: | Indicates the mode used for drawing the background. The bar code can be painted in a transparent (- > standard, background shines through) or opaque way (background is overwritten with the background color).
Print Text: | If selected indicates whether the content of the barcode is printed as human readable text. This check box is selected by default.
Above Symbol: | It indicates where the human readable text should be printed. Selectable values: below or above the bar code (- > standard: below). For some bar codes, like UPC and EAN, the adjustment "Above symbol" is not permitted.
Text Distance: | Sets the distance of the human readable text to the bar code (in 1/1000 mm). If Default is marked, a default value is used.
Default: | When selected the Text Distance is defined by default.

When the Next or Finish button is clicked the application displays an error message if you enter invalid data in the Encoded data pane.

Step 2. Setting Advanced Properties

Example of the Insert Bar Code Wizard (Step 2)

On this step you can modify the bar code's advanced properties. What follows is an individual explanation of each of the advanced properties:

Module Width:

Indicates the width of a module in 1/1000 mm. The bar code is divided into individual "modules" - the smallest unit of the bar segments. The module width functions as a fundamental unit, i.e. all lines and spaces are based on this adjustment. If "default" is marked, the module width is calculated automatically based on the width of the bounding rectangle (set by changing the size of the ActiveX object) and the number of utilizable data characters to be encoded.

Setting the module width manually to a fixed value is recommended if you have varying quantities of data and the optical data density should be constant. In this case the bar code becomes wider, if more data is encoded. The bounding rectangle must be drawn or programmed at least as wide as necessary for the full and not truncated representation of the largest amount of utilizable data.

When using the default setting: If the module width is computed automatically, the optical data density of the printout increases with higher amounts of encoded data characters. Depending upon the printer resolution, the lower limit for the module width may be exceeded - leading to unreadable bar codes. Ensure that bar code bounding rectangles are as wide as necessary for the largest data content.

Print Ratio:

The Print Ratio is the relationship between the bar- and gap-widths of a bar code. The ratio format (evident in the property RatioHint) depends on the selected type of bar code and shows, how many different bar- and gap-widths are used. The resulting width of a bar (or gap) is calculated using the indicated Print Ratio and the (calculated or specified) module width. This is only used for special applications.

Example: If a bar code element has 4 different bar widths and 4 different space widths, then the print ratio looks like this (Code 128): 1:2:3:4:1:2:3:4. In the first part ("1:2:3:4") the width ratio of the bars is set, in the second section the relation of the spaces are set (in our case, they are the same). The smallest bar is "1" wide, the next larger is "2" (thus twice as wide as the smaller bar) and so on. Modifications within this area are meaningful only for special applications, since some bar codes may become unreadable when manipulating the print ratio.

Format/Subset:

This is an image for formatting the utilizable data of the bar code. The format string operates with substitute symbols to indicate how the data is structured. It is also possible to insert constant characters mixed with the bar code data according to defined rules. Also certain control characters that make it possible to change the Subsets for Code 128, EAN 128 and UCC 128 (or to define the desired start/stop character of CODABAR) are defined.

Guard Width:

This edit box defines the Guard bar - a horizontal line, which limits the bar code on the upper and lower side. If its value is not set to zero (standard), the Guard bar is printed. Values larger than zero indicate the width of the Guard bar in 1/1000 mm. For some types (like UPC and EAN) the value should be zero. If the Default check box is selected, this field is disabled.

Notch Height:

This edit box allows you to set the protruding of the synchronization bars from the bar code (e.g. the double lines within EAN on the left, at the center and on the right side). If the Default check box is selected, this field is disabled.

Check Digit:

The calculation method of the check digit can be set here. In order to guarantee that the bar code data is read properly, a check digit is intended at the end of the utilizable data. A comparison of the bar code content with the check digit informs the scanning device (scanner) about incorrect scans and forces the device to repeat (or reject) the scan. The check digit calculation method is standardized for certain common bar codes.

With the default-adjustment the check digit is calculated according to the specification of the selected bar code. Modifications within this area are admissible only for special applications or for bar codes with selectable check digit methods. This field is also used to enable check digit calculation, if none is set as standard (a check digit is not standard, but recommended for LOGMARS or Code39).

Translate Escape Sequences:

Indicates whether escape sequences (like \n) are to be translated (Default: no). The use of escape sequences is useful if you need to encode control characters like Carriage Return or FNC1 into the bar code.

Symbol must fit into rectangle:

If this option is marked, an error code will be shown in place of the bar code, if the produced bar code does not fit into the bounding rectangle. This occurs if the module width is preset to a fixed value (by the user) and the total width of the bar code exceeds the bounding rectangle. Truncated bar codes can be avoided this way and incorrect printouts can be detected immediately. This option is recommended in connection with manual adjustments of the module width.

Suppress Error Message:

If the bar code data contains invalid values (characters which can not be encoded with the selected bar code type e.g. letters like "A" when using 2OF5 Interleaved), then an error message is displayed in place of the bar code. This error output can be suppressed by checking this box - leading to blank fields when an error has occurred.

Note: If the Default check box is selected, the corresponding field is disabled and defined by default.

Step 3. Setting Font Properties

Example of the Insert Bar Code Wizard (Step3)

This step lets users set the bar code's font properties. The items are defined in the following table:

Properties: | Contains the list of objects including the Font value, you have to define properties for.
Font: | From this combo box select the font, which will be used for the bar code.
Size: | From this combo box select the font size, which will be used for the bar code.
Effects: | Select corresponding check boxes to define such font effects as Bold, Italic, Underline, and Strikeout.
Sample Text: | Displays a sample text with the properties you defined.

Step 4. Type Specific settings

Example of the Insert Bar Code Wizard (Step4)

The page items have the following meaning:

Properties: | Contains the list of objects including the Back Color, Fore Color, and Text Color value, you have to define properties for.
Color Set: | From this combo box select the color set, which will be used for the bar code.
Color Palette: | From here select the color, which will be used for the bar code.
Edit Custom Color: | When clicked allows you to use the extended Color Palette.


The Label Properties dialog

Example of the Label Properties dialog

The items of the Label Properties dialog have the following meaning:

Name: | You can enter a new label name in this box.
Template: | You are allowed to choose the predefined template from the combo box.
Description: | You can change the text describing a label
Page Preview: | Displays the preview defined by a template.
Printab le: | You are allowed to select or clear this check box. When selected, a label is allowed to be printed.
OK: | When clicked, changes label properties of the currently selected project item in the project tree, and the label becomes selected.
Cancel: | You are allowed to cancel the operation by clicking this button or by pressing the ESC key. In any case the operation will be cancelled.


The Move Component dialog

Example of the Move Component dialog

This dialog is used to move a project's sub-items and labels to a new location. When a component is moved to its destination, it changes its location in the project tree along with all of its sub components.

The items of the Move Component dialog have the following meaning:

Component: | Displays the name of the current project component. It is disabled.
Move To: | Displays the tree, which contains a copy of the WN content not including labels and versions levels. You have to choose an item in this tree to be the parent for a move or share operation. Any leaves of a tree, which are associated with labels that have already been created, are not considered as valid destination points. They are presented strictly for information purposes.
OK: | Click this button to complete the operation.
Cancel: | When clicked cancels the operation.


The New Project wizard (step 1)

Example of the New Project wizard (step 1 - Types)

On this step with the help of the Types tab you can select one of the available project templates or the label templates.

The item has the following meaning:

Run through wizard:

When selected the Finish button returns to Next and you can continue to carry out the wizard.

To display the Themes tab - click it. The tree on the Themes tab contains ready-made project themes grouped by keywords. These project themes include labels with pre-defined backgrounds and text layouts. The user needs to modify only the text on the labels before printing it.

Example of the New Project wizard (step 1 - Themes)


The New Project wizard (step 2)

The New Project wizard (step 2) contains five tabs: Library, File, Scanner, Camera and Webcam.

The Library tab:

Example of the New Project wizard (step 2 - Library)

The Library tab allows you to use one of available Image Libraries to define background. The items of the New Project wizard (step 2 - Library) have the following meaning:

Image List: | Displays the image files located in the Image Library.
Apply as Background: | When clicked applies the selected image as a background to the label.
Delete: | Allows you to delete the background from the label.

The File tab:

Click the File tab to display it. The application displays the New Project wizard (step 2 - File) like the one shown below. This tab allows you to use any image as a background.

Example of the New Project wizard (step 2 - File)

Use the directories shown in example above as usually. There are the following additional items on this tab:

Look in: | In this box enter the path to the folder with image files.
Go: | When clicked the folder content specified in the Look in box is shown.

The Scanner tab:

Click the Scanner tab if you wish to use a scanned image as a background. The application displays the New Project wizard (step 2 - Scanner) like the one shown in the example below.

Example of the New Project wizard (step 2 - Scanner)

There are the following additional items on this tab:

Start scanning if the scanner is attached to the system and is functioning properly.

Allows you to flip an image around the horizontal axis.

Allows you to flip an image around the vertical axis.

Allows you to rotate an image 90 degrees to the right around the geometric center of an image.

Allows you to rotate an image 90 degrees to the left around the geometric center of an image.

The Camera tab:

Click the Camera tab if you wish to use a photo image as background. The application displays the New Project wizard (step 2 - Camera) like the one shown in the example below.

Note: If the camera is not connected to your computer yet, click the Connect Camera button on the screen and follow instructions appeared.

Example of the New Project wizard (step 2 - Camera)

The Webcam tab:

Click the Webcam tab if you wish to use a webcam image as background. The application displays the New Project wizard (step 2 - Webcam) like the one shown in the example below.

Example of the New Project wizard (step 2 - Webcam)

There are the following additional items on this tab:

When clicked, the live webcam feed is displayed.

When clicked, the webcam feed is paused.


The New Project wizard (step 3)

The New Project wizard (step 3) contains five tabs: Library, File, Scanner, Camera and Webcam.

The Library tab:

The Library tab allows you to use one of the many available images in the Image Library to add additional images to the label.

Example of the New Project wizard (step 3 - Library)

There are the following additional items on this tab:

Image List: | Displays the image files located in the Image Library.
Insert Image: | When clicked inserts the selected image onto the label. You can move it in any direction. Rotation is possible by double-clicking the image, pressing the left mouse button and moving the mouse.
Delete: | Allows you to delete a selected image from the label.

Using the other tabs on Step 3 is similar to the tabs on Step 2.


The New Project wizard (step 4)

The New Project wizard (step 4) has three tabs: Custom, File List and Play List.

The Custom tab:

The Custom tab allows you to type your own text information in the available fields.

Example of the New Project wizard (step 4 - Custom)

The items of the New Project wizard (step 4 - Custom) have the following meaning:

Title: | Enter a title for your label here.
Sub Title: | Enter a sub title for your label here.
Text: | Enter any text you wish here.
Samples: | Choose a predefined Text Layout to be displayed on the label.
Print: | When clicked allows you to print the label.

The File List tab:

The File List tab allows you to place information from the file list to the label.

Example of the New Project wizard (step 4 - File List)

The items of the New Project wizard (step 4 - File List) have the following meaning:

Title: | Enter a title for your label here.
Date: | Enter the date which will be displayed on the label
 | Allows you to select a directory, all the files of which will be added to the file list.
 | Allows you to add a custom entry to the file list.
 | Allows you to delete one or several files from the file list. Select files you want to delete from the list and click this button.
File List: | Displays the list of files to be displayed on the label.
Samples: | Choose a predefined Text Layout to be displayed on the label.
Print: | When clicked allows you to print the label.

The Play List tab:

If you wish to place text on the label from the play list, click the Play List tab. The application displays the New Project wizard (step 4 - Play List) like the one shown in the example below.

Example of the New Project wizard (step 4 - Play List)

The items of the New Project wizard (step 4 - Play List) have the following meaning:

Artist: | Enter the name of the artist.
Album: | Enter the album name which will be displayed on the label.
 | Allows you to select a directory of songs which will be added to the play list.
 | Allows you to a custom entry to the play list.
 | Allows you to delete one or several songs from the Play list. Select songs you want to delete from the play list and click this button.
 | Allows you to add one or several songs from the song list to the play list.
 | Allows you to identify selected tracks or the whole album using the fingerprinting service.
Play List: | Displays the list of songs to be displayed on the label.
Samples: | Choose a predefined Text Layout to be displayed on the label.
Print: | When clicked allows you to print the label. For further information see the section titled Printing Projects.

Notes: Internet connection must be available in order to use the fingerprinting service.

You are allowed to change a font and its attributes for the text information displayed on the label. Right-click the text object and select the Font command from the context menu. The command opens the standard Font dialog.


The Numbering Dialog

When you are working with text in Text Style Palette you can organize the text by numbering the text items.

Right-click on the text in Text Style Palette. Select Numbering in the context menu. The Numbering dialog appears with the elements discussed below.

Numbering types: | Select the icon of numbering type you wish to apply to the selected paragraph.
OK: | Click this button to close the dialog and apply the selected numbering type to the text.
Cancel: | When clicked just closes the dialog.
Help: | When clicked opens MediaFACE 4.0 Labels Editor Help.


The Paragraph Dialog

When you are working with text in Text Style Palette you can change properties for the text paragraphs.

Right-click on the text in Text Style Palette. Select Paragraph in the context menu. The Paragraph dialog appears with the elements discussed below.

Alignment: | Select the alignment you wish to apply to the selected paragraph.
Left: | Specify a value for the left indentation of the selected paragraph.
Right: | Specify a value for the right indentation of the selected paragraph.
First Line: | Specify a value for indentation of the first text line in the selected paragraph.
Hanging: | Specify a value for indentation of all text lines in the selected paragraph except the first line.
Before: | Specify a value for spacing before the selected paragraph.
After: | Specify a value for spacing after the selected paragraph.
Line spacing: | Specify a value for spacing between lines in the selected paragraph.
OK: | Click this button to close the dialog and apply the changes you made in the dialog.
Cancel: | When clicked closes the dialog and cancels the changes you made in the dialog.
Apply: | Click this button to apply the changes you made in the dialog and keep the dialog open.
Help: | When clicked opens MediaFACE 4.0 Labels Editor Help.


The Project Properties dialog

The application opens the Project Properties dialog of the active project. It has three tabs: General, Summary and Custom.

The General tab

The General tab contains information about the label file - path, size, creation time, last modification time, last access time, and attributes. You cannot change the fields of this tab.

Example of the Project Properties dialog (General)

The items of the General tab have the following meaning:

Type: | Displays the project type
Location: | Displays location of the project
Size: | Displays the size of the project
MS-DOS name: | Displays the file name: the project name with extension
Created: | Displays the date when the project was been created
Modified: | Displays the date when the project was been modified for the last time
Accessed: | Displays the date when the project was been accessed for the last time
Attributes: | Displays the project attributes: Read-only, Hidden, Archive, and System

The Summary tab

The Summary tab contains the public name of project (Title), Subject, Author, Company, Category, Keywords, Comments.

Example of the Project Properties dialog (Summary)

The items of the Summary tab have the following meaning:

Title: | Enter a project title in this box
Subject: | Enter a project subject
Author: | Enter a project author in this box
Company: | Enter the company you work for
Category: | Enter the project category - CD, CD Jewel etc. in this box
Keywords: | Enter a project keywords
Comments: | Enter any text describing your project in this box

The Custom tab

The custom tab contains the user-defined variables.

Example of the Project Properties dialog (Custom)

The items of the Custom tab have the following meaning:

Name: | Allows you to define a name of the item (song, play and so on)
Type: | From this combo box you can select the item type (text, image, etc)
Value: | Allows you to define an item value
Add: | When clicked allows you to add a string with item's name, type and value to the Properties list
Delete: | When clicked allows you to delete an item selected in the Properties list
Properties: | Displays a name, type and value of the items in corresponding columns


The Question dialog

The Question dialog is displayed when you select Play List, File List or Data list from the Insert menu and no corresponding lists are defined.

The items of the Question dialog have the following meaning:

Yes: | When clicked launches List Manager. For more information refer to the section titled Managing Lists.
No: | When clicked displays the Play List, File List or Data List dialog. For details see the section titled Managing Lists.
Cancel: | When clicked cancels the operation.
Only show this dialog when the Shift key is down: | When selected this dialog will be skipped in the future.


The Right pane for Data Sources

Example of the Lists Manager dialog for Data Sources

The Data Source functionality allows you to import data from external sources (Oracle, MS SQL. MS Access databases). The right pane elements for the Data Sources are described as follows:

The "Data Source" static header | Contains the "Data Source" header.
Name: | Contains a Data Source item name. In fact, this is the name of this Data Source list in the tree.
Test: | If you click this button, the Editor will try to access the current data source. If the Source is not defined yet, this button is disabled.
New: | When clicked opens the Data Source wizard, which allows you to fill in the Available Fields list. For further information see the section titled Data Source wizard.
Available Fields: | This list contains the following columns: # (Number), Field Name, and Field Type. If the data source was opened successfully, the list will contain all fields, which are extracted from the data source.

When you click the OK button, all changes will be saved. When you click Cancel, all changes will be discarded.


The Right pane for File Lists

Example of the Lists Manager dialog for File Lists

The right pane File Lists elements are described below:

The "File List" static header | Contains the "File list" header.
Name: | Contains the file list item name. In fact, this is the name of this file list in the tree.
Content: | This is the file list. Contains the following columns: #, Name, Size (in Kb), Type (File or Folder).
Add File: | When clicked displays the standard Open File dialog, which allows you to add files to the file list.
Add Folder: | When clicked displays the Browse For Folder dialog, which allows you to select a folder with files to be added to the file list.
Remove: | Allows you to delete the file selected in the file list. Note: You can remove selected files from the Content control by pressing the Del key on the keyboard.


The Right pane for Playlists

You can create a new playlist or import an existing playlist for the selected media player.

Creation of new playlists:

Select the Playlists node in the tree of List Manager and click the New button. The newly created playlist appears in the tree.

You can obtain the information for the new playlist from Audio CD and existing Song List or fill the information manually.

1. To obtain the information from Audio CD and existing Song List:

Select the created playlist in the tree. The List Manager dialog is displayed as shown in the example below.

Example of the Lists Manager dialog for playlists

The items of the displayed right pane have the following meaning:

  • Replace playlist from: From this combo box select one of the following sources for playlist content: AudioCD or Song List.

  • Build: This button is disabled if nothing is selected in the Replace playlist from combo box. When you click this button, the corresponding dialog opens. If the current playlist already has some content, before building the playlist, the Editor will prompt you: This operation will replace current playlist content. Please confirm. If you choose Yes, the Editor will perform this operation.

The dialog corresponding to the Audio CD source looks as shown in the example and contains the items discussed below.

Example of the Audio CD dialog

CD Drive: | Select the CD drive with the content you wish to load.
Properties: | When clicked opens the CBID Properties dialog. The dialog allows to define properties of the fingerprinting service used for tracks and albums identification.
Artist: | This text field contains the artist name.
Title: | This text field contains the title of the album.
Year: | This text field contains the year of the album.
Genre: | This text field contains the genre of the album.
Status: | The status of the fingerprinting process is shown here.
Tracks List: | Lists all tracks of the selected CD.
Identify CD: | Click this button to initiate the fingerprinting process for identification of the selected CD. The current status of the process will be shown in the Status field. The process status for each track will be shown in the Status column of the Tracks List. After the CD is identified successfully, the information from the fingerprinting server appears in the Artist, Title, Year, Genre, Status fields and Tracks List.
Identify Track: | Select a track in the Tracks List and click this button to initiate the fingerprinting process for identification of the selected track. The process status for the selected track will be shown in the Status column of the Tracks List. After the track is identified successfully, the information returned from the fingerprinting server appears in the Tracks List.
Stop Identify: | Click this button to interrupt the fingerprinting process. The button is available if the fingerprinting service is started.
Refresh: | Click this button to re-read the selected CD and refresh the Track List content.
Build: | When clicked, closes Audio CD dialog and loads the CD content.
Cancel: | When clicked, closes Audio CD dialog and does not load the CD content.

The dialog corresponding to the Song List source looks as shown in the example and contains the items discussed below.

Example of the Song List dialog

Tracks List: | Lists all tracks of the selected playlist.
Open playlist: | When clicked opens the standard Open dialog. Allows you to add existing playlists to the Track List.
Open Folder: | When clicked opens the standard Browse for Folder dialog. Select the folder with audio files you wish to load and click OK in the Browse for Folder dialog.
Identify All: | Click this button to initiate the fingerprinting process for identification of the selected playlist. The process status for each track will be shown in the Status column of the Tracks List. After the all tracks are identified successfully, the information returned from the fingerprinting server appears in the Tracks List.
Identify Track: | Select a track in the Tracks List and click this button to initiate the fingerprinting process for identification of the selected track. The process status for the selected track will be shown in the Status column of the Tracks List. After the track is identified successfully, the information returned from the fingerprinting server appears in the Tracks List.
Stop Identify: | Click this button to interrupt the fingerprinting process. The button is available if the fingerprinting service is started.
Properties: | When clicked opens the CBID Properties dialog. The dialog allows to define properties of the fingerprinting service used for track and album identification.
Build: | When clicked closes Audio CD dialog and loads the playlist content.
Cancel: | When clicked closes Audio CD dialog and does not load the playlist content.

Note: Internet connection must be available in order to use the fingerprinting service.

2. Fill the information manually in the Playlist dialog:

The Playlist dialog contains two tabs: General and Tracks.

The General tab looks as shown in the example and contains the items discussed below.

Example of the General tab for Playlists

Album: | This text field contains the name of the playlist in the tree.
Artist: | This text field contains the artist name.
Number of tracks: | This field is calculated based on the content of the Tracks tab.
Play Time: | This field is calculated based on the content of the Tracks tab.

The Tracks tab looks as shown in example and contains the items discussed below.

Example of the Tracks tab for playlists

Current content: | This is the Tracks list, which contains the following columns: Track Number, Artist, Title, Duration.
Artist: | Enter or edit the artist name here.
Title: | Enter or edit the title name here
Duration: | Enter or edit the song's duration here.
Modify: | When clicked allows you to change the line of the Track list with values from the Track Modification pane.
New: | When clicked allows you to create a new line in the Track list with values from the Track Modification pane.
Delete: | Allows you to delete the track selected in the Track list.

Notes:

1. You can arrange the order of tracks by dragging the track using the mouse.

2. Any modification of the playlist content will be applied in the dialog immediately after changes are completed. Changes to the Album text field will be reflected in the tree in real-time.

Import of existing playlists:

You can import an existing playlist of the selected media player as described below. The following players are supported: Windows Media Player 7.0; Nullsoft Winamp 2.78; J. River Media Jukebox 7.2.280; RealOne Player 6.0; MUSICMATCH Jukebox 7.0; Liquid Player Plus 6.1; MP3.com Plus Player 2.0a. Select the Playlists node in the tree of List Manager. The List Manager dialog is displayed as shown in the example below.

Example of the Lists Manager dialog for Import of Playlists

The items of the displayed right pane have the following meaning:

  • Import playlists from: From this combo box select one of the supported players whose playlist you wish to import.

  • Import: This button is disabled if no player is selected in the Import playlists from combo box. When you click this button, the Select Playlist for Import dialog corresponding to the selected media player opens.

Each of the supported players has it's own dialog for the playlists import.

The Select Playlist for Import dialog for Windows Media Player 7.0 looks as shown in the example and contains the items discussed below.

Example of the Select Playlist for Import dialog for Windows Media Player

Windows Media Player Playlists:

All available internal Windows Media Player playlists and playlists added externally are listed here. The names and number of tracks of the listed playlists are reflected in the list box. Select the check boxes on the left of the playlists you wish to import to MediaFACE 4.0.

Note: To make the internal playlists available select at least Read-only access rights for Internet Site in Windows Media Player (in Windows Media Player, click Tools - Options to open Options dialog, select Media Library tab - Internet site rights - Read-only access).

Tracks:

Tracks of the playlist selected in the Windows Media Player Playlists list box are listed here.

Add:

When clicked, opens the standard Open dialog. Allows you to add external Windows Media Player playlist(s) to the Windows Media Player Playlists list box.

Select All:

When clicked, selects all playlists listed in the Windows Media Player Playlists list box for import.

Clear All:

When clicked, deselects all playlists listed in the Windows Media Player Playlists list box.

Import:

When clicked, closes the Select Playlist for Import dialog and imports the selected playlists .

Cancel:

When clicked, closes the Select Playlist for Import dialog and cancels the operation.

The Select Playlist for Import dialog for Nullsoft Winamp 2.78 looks as shown in the example and contains the items discussed below.

Example of the Select Playlist for Import dialog for Winamp

playlists list box: | Currently open Winamp playlists and external added playlists are listed here by default. The list box contains the following information: the name of playlist and the path to the playlist file. Select check boxes on the left of the playlists you wish to import to MediaFACE 4.0.
Content of Playlist: | Tracks of the playlist selected in the playlists list box are listed here.
Add Playlist: | When clicked, opens the standard Open dialog. Allows you to add external Winamp playlist(s) to the Winamp Playlists list box.
Remove: | When clicked, removes the playlist selected in the playlists list box.
Select All: | When clicked, selects all playlists listed in the playlists list box for import.
Clear All: | When clicked, deselects all playlists listed in the playlists list box.
Import: | When clicked, closes the Select Playlist for Import dialog and imports the selected playlists.
Close: | When clicked, closes the Select Playlist for Import dialog.

The Select Playlist for Import dialog for J. River Media Jukebox 7.2.280 looks as shown in the example and contains the items discussed below.

Example of the Select Playlist for Import dialog for Media Jukebox Player

Media Jukebox Playlists: | All available internal Media Jukebox playlists are listed here. The names and number of tracks of the presented playlists are reflected in the list box. Select check boxes on the left of the playlists you wish to import to MediaFACE 4.0.
Tracks: | Tracks of the playlist selected in the Media Jukebox Playlists list box are listed here.
Select All: | When clicked, selects all playlists listed in the Media Jukebox Playlists list box for import.
Clear All: | When clicked, deselects all playlists listed in the playlists list box.
Import: | When clicked, closes the Select Playlist for Import dialog and imports the selected playlists .
Cancel: | When clicked, closes the Select Playlist for Import dialog and cancels the operation.

The Select Playlist for Import dialog for RealOne Player 6.0 looks as shown in the example and contains the items discussed below.

Example of the Select Playlist for Import dialog for RealOne Player

RealOne Player Playlists: | All available internal RealOne Player playlists are listed here. The names and number of tracks of the presented playlists are reflected in the list box. Select check boxes on the left of the playlists you wish to import to MediaFACE 4.0.
Tracks: | Tracks of the playlist selected in the RealOne Player Playlists list box are listed here.
Select All: | When clicked, selects all playlists listed in the RealOne Player Playlists list box for import.
Clear All: | When clicked, deselects all playlists listed in the playlists list box.
Import: | When clicked, closes the Select Playlist for Import dialog and imports the selected playlists .
Cancel: | When clicked, closes the Select Playlist for Import dialog and cancels the operation.

The Select Playlist for Import dialog for MUSICMATCH Jukebox 7.0 looks as shown in the example and contains the items discussed below.

Example of the Select Playlist for Import dialog for MUSICMATCH Jukebox Player

Default Playlists: | All available internal MUSICMATCH Jukebox playlists are listed here. The list box contains the following information: the name of playlist and the path to the playlist file.
Selected Playlists for import: | Playlists selected for import to MediaFACE 4.0 are listed here.
--> | When clicked, moves the playlists selected in the Default Playlists list box to the Selected Playlists for import list box.
<-- | When clicked, removes the playlists selected in the Selected Playlists for import list box to the Default Playlists list box.
Select All: | When clicked, selects all playlists listed in the list box above.
Clear All: | When clicked, deselects all playlists listed in the list box above.
Content of Playlist: | Tracks of the playlist selected in the Default Playlists or Selected Playlists for import list box are listed here.
Import: | When clicked, closes the Select Playlist for Import dialog and imports the selected playlists .
Close: | When clicked, closes the Select Playlist for Import dialog.

The Select Playlist for Import dialog for Liquid Player Plus 6.1 looks as shown in the example and contains the items discussed below.

Example of the Select Playlist for Import dialog for Liquid Player

Liquid Player Playlists: | All available internal Liquid Player playlists are listed here. The names and number of tracks of the presented playlists are reflected in the list box. Select check boxes on the left of the playlists you wish to import to MediaFACE 4.0.
Tracks: | Tracks of the playlist selected in the Liquid Player Playlists list box are listed here.
Select All: | When clicked, selects all playlists listed in the Liquid Player Playlists list box for import.
Clear All: | When clicked, deselects all playlists listed in the playlists list box.
Import: | When clicked, closes the Select Playlist for Import dialog and imports the selected playlists .
Cancel: | When clicked, closes the Select Playlist for Import dialog and cancels the operation.

The Select Playlist for Import dialog for MP3.com Plus Player 2.0a looks as shown in the example and contains the items discussed below.

Example of the Select Playlist for Import dialog for MP3.com Plus Player

MP3.com Player Playlists: | All available internal MP3.com Plus Player playlists are listed here. The names and number of tracks of the presented playlists are reflected in the list box. Select check boxes on the left of the playlists you wish to import to MediaFACE 4.0.
Tracks: | Tracks of the playlist selected in the MP3.com Player Playlists list box are listed here.
Select All: | When clicked, selects all playlists listed in the MP3.com Player Playlists list box for import.
Clear All: | When clicked, deselects all playlists listed in the playlists list box.
Import: | When clicked, closes the Select Playlist for Import dialog and imports the selected playlists .
Cancel: | When clicked, closes the Select Playlist for Import dialog and cancels the operation.

Note: Integration components must be installed to enable importing of playlists.


Using Camera

Using a Camera

If you want to insert an external image from the Camera, select the Camera tab on the Get External Picture dialog to display it on the screen. The application connects to plugged-in digital camera and displays first image from it. If no images are available, the preview placeholder contains the default image (or is empty).

Example of the Get External Picture (Camera)

To get an image from the camera:

1. Select the Camera tab on the Get External Picture dialog. The application connects to plugged-in digital camera and displays first image from it.

2. To navigate from one image to another use the mouse or the arrow keys on your keyboard.

3. When you will be satisfied with the image, click OK. The system inserts currently displayed image into the Work Area.


Using Data Source

If you want to insert an external image from the Data Source, select the Data Source tab on the Get External Picture dialog to display it on the screen. The application allows you to select a data source and item, which may contain an image.

Example of the Get External Picture (Data Source)

To get an image from the data source:

1. Select the Data Source tab on the Get External Picture dialog. The items of the Data Source tab have the following meaning:

Select Data Source: | When clicked displays the Select Data Source dialog, which allows you to select the data source from available ones.
Prev: | When clicked displays the previous item of the data source in the image placeholder.
Next: | When clicked displays the next item of the data source in the image placeholder.

2. Click Select Data Source to define the data source you wish to work with. The Select Data Source dialog is displayed.

Example of the Select Data Source dialog

The items of the Select Data Source dialog have the following meaning:

Available Data Sources: | This combo box contains a set of existing data sources names.
List Manager: | When clicked launches the List Manager, which allows you to modify data sources. For further information refer to the section titled Managing Lists.
Field: | Contains the list of available items.
Type: | Contains the types of available items.

3. If you do not have any data source, click List Manager to define it. Otherwise choose a data source from the available ones, select the field you want to use and click OK.

4. When you will be satisfied with the image, click OK. The system inserts currently displayed image into the Work Area.

Example of the work area with an image inserted


Using Scanner

If you want to insert an external image from the scanner, select the Scanner tab on the Get External Picture dialog to display it on the screen.

Example of the Get External Picture (Scanner)

There are the following icons on this tab:

Starts the scanning process if scanner is attached to the system and functions properly.

Allows you to flip an image around the horizontal axis.

Allows you to flip an image around the vertical axis.

Allows you to rotate an image 90 degrees clockwise around the geometric center of an image.

Allows you to rotate an image 90 degrees counter-clockwise around the geometric center of an image.

To get a scanned image:

1. Select the Scanner tab on the Get External Picture dialog. The Scanning Client dialog with available the scanning clients appears. Select the scan client you prefer. The application connects to the plugged-in scanner.

2. Click [image]. The application begins scanning. After some time it displays the scanned image in the preview placeholder.

3. When you will be satisfied with the scanned image, click OK. The application inserts the currently displayed image into the work area.


Using Webcam

When you select the Webcam tab, the application connects to plugged-in web cam and displays images as a video stream from it. If no video is available, the preview placeholder contains the default image (or is empty).

Example of the Get External Picture (Webcam)

There are the following icons on this tab:

When clicked the webcam begins recording.

When clicked the webcam is paused.

To get an image from the webcam:

1. Select the Webcam tab on the Get External Picture dialog. The application connects to plugged-in webcam and the image placeholder shows a live feed.

2. To pause the feed you can click [image]. The application stops recording. Click [image] to resume recording.

3. When you will be satisfied with the video image, click OK. The system inserts currently displayed image into the Work Area.